package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstSyncTaskCtrLogDO;
import java.util.Date;
import java.util.List;
import java.lang.Long;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AstSyncTaskCtrLogDOMapper;

/**
* The Table abs_ast_sync_task_ctr_log.
* 资产同步控制记录
*/
@Repository
public class AstSyncTaskCtrLogDAO{

    @Autowired
    private AstSyncTaskCtrLogDOMapper astSyncTaskCtrLogDOMapper;

    /**
     * desc:插入表:abs_ast_sync_task_ctr_log.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(AstSyncTaskCtrLogDO entity){
        return astSyncTaskCtrLogDOMapper.insert(entity);
    }
    /**
     * desc:获取指定类型的记录.<br/>
     * @param execDate execDate
     * @param lastTaskCode lastTaskCode
     * @return List<AstSyncTaskCtrLogDO>
     */
    
    public List<AstSyncTaskCtrLogDO> getLastStatusFinishedTasks(Date execDate,String lastTaskCode){
        return astSyncTaskCtrLogDOMapper.getLastStatusFinishedTasks(execDate, lastTaskCode);
    }
    /**
     * desc:获取指定类型的记录.<br/>
     * @param execDate execDate
     * @param orgCode orgCode
     * @param taskType taskType
     * @return AstSyncTaskCtrLogDO
     */
    
    public AstSyncTaskCtrLogDO getTaskLogByExecDate(Date execDate,String orgCode,String taskType){
        return astSyncTaskCtrLogDOMapper.getTaskLogByExecDate(execDate, orgCode, taskType);
    }
    /**
     * desc:获取指定类型的记录.<br/>
     * @param orgDate orgDate
     * @param orgCode orgCode
     * @param taskType taskType
     * @return AstSyncTaskCtrLogDO
     */
    
    public AstSyncTaskCtrLogDO getLastTaskLogByOrgDate(Date orgDate,String orgCode,String taskType){
        return astSyncTaskCtrLogDOMapper.getLastTaskLogByOrgDate(orgDate, orgCode, taskType);
    }
    /**
     * desc:根据机构会计日执行情况获取.<br/>
     * @param orgDate orgDate
     * @param orgCode orgCode
     * @param taskType taskType
     * @return AstSyncTaskCtrLogDO
     */
    
    public AstSyncTaskCtrLogDO getTaskLogByOrgDate(Date orgDate,String orgCode,String taskType){
        return astSyncTaskCtrLogDOMapper.getTaskLogByOrgDate(orgDate, orgCode, taskType);
    }
    /**
     * desc:更新表:abs_ast_sync_task_ctr_log.<br/>
     * @param hostIp hostIp
     * @param status status
     * @param taskType taskType
     * @param oldStatus oldStatus
     * @param taskLogCode taskLogCode
     * @return int
     */
    
    public int updateStatus(String hostIp,String status,String taskType,String oldStatus,String taskLogCode){
        return astSyncTaskCtrLogDOMapper.updateStatus(hostIp, status, taskType, oldStatus, taskLogCode);
    }
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr_log.<br/>
     * @param orgDate orgDate
     * @param orgCode orgCode
     * @param taskCode taskCode
     * @param taskType taskType
     * @return Long
     */
    
    public Long canRunByOrgDate(Date orgDate,String orgCode,String taskCode,String taskType){
        return astSyncTaskCtrLogDOMapper.canRunByOrgDate(orgDate, orgCode, taskCode, taskType);
    }
    /**
     * desc:获取指定类型的最大完成机构会计日.<br/>
     * @param orgCode orgCode
     * @param taskType taskType
     * @return Date
     */
    
    public Date getTaskLogMaxOrgDate(String orgCode,String taskType){
        return astSyncTaskCtrLogDOMapper.getTaskLogMaxOrgDate(orgCode, taskType);
    }
}
