package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.HostInfoDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.HostHeartInfo;
import com.abssqr.plat.common.dal.mysql.auto.mapper.HostInfoDOMapper;

/**
* The Table abs_host_info.
* 主机信息
*/
@Repository
public class HostInfoDAO{

    @Autowired
    private HostInfoDOMapper hostInfoDOMapper;

    /**
     * desc:插入表:abs_host_info.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(HostInfoDO entity){
        return hostInfoDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_host_info.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<HostInfoDO> list){
        hostInfoDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_host_info.<br/>
     * @param id id
     * @return int
     */
    
    public int deleteById(Long id){
        return hostInfoDOMapper.deleteById(id);
    }
    /**
     * desc:根据主键获取数据:abs_host_info.<br/>
     * @param id id
     * @return HostInfoDO
     */
    
    public HostInfoDO getById(Long id){
        return hostInfoDOMapper.getById(id);
    }
    /**
     * desc:根据唯一约束HostIpUnique更新表:abs_host_info.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateByHostNameUnique(HostInfoDO entity){
        return hostInfoDOMapper.updateByHostNameUnique(entity);
    }
    /**
     * desc:updateHeart.<br/>
     * @param hostName hostName
     * @return int
     */
    
    public int updateHeart(String hostName){
        return hostInfoDOMapper.updateHeart(hostName);
    }
    /**
     * desc:根据唯一约束HostIpUnique删除数据:abs_host_info.<br/>
     * @param hostName hostName
     * @return int
     */
    
    public int deleteByHostNameUnique(String hostName){
        return hostInfoDOMapper.deleteByHostNameUnique(hostName);
    }
    /**
     * desc:根据唯一约束HostIpUnique获取数据:abs_host_info.<br/>
     * @param hostName hostName
     * @return HostInfoDO
     */
    
    public HostInfoDO selectByName(String hostName){
        return hostInfoDOMapper.selectByName(hostName);
    }
    /**
     * desc:根据唯一约束HostIpUnique获取数据:abs_host_info.<br/>
     * @param hostIp hostIp
     * @return HostInfoDO
     */
    
    public HostInfoDO selectByHostIp(String hostIp){
        return hostInfoDOMapper.selectByHostIp(hostIp);
    }
    /**
     * desc:获取超时主机.<br/>
     * @param currentTime currentTime
     * @param overTime overTime
     * @return List<HostInfoDO>
     */
    
    public List<HostInfoDO> listOvertimeHost(Date currentTime,Integer overTime){
        return hostInfoDOMapper.listOvertimeHost(currentTime, overTime);
    }
    /**
     * desc:获取所有主机.<br/>
     * @return List<HostHeartInfo>
     */
    
    public List<HostHeartInfo> getAllHost(){
        return hostInfoDOMapper.getAllHost();
    }
}
