package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanLogDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.LoanLogDOMapper;

/**
* The Table abs_loan_log.
* 资产变更流水
*/
@Repository
public class LoanLogDAO{

    @Autowired
    private LoanLogDOMapper loanLogDOMapper;

    /**
     * desc:批量插入表:abs_loan_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<LoanLogDO> list){
        loanLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:测试专供-主要为查询bizNo.<br/>
     * @param outAstNo outAstNo
     * @param eventCode eventCode
     * @return List<LoanLogDO>
     */
    
    public List<LoanLogDO> getByOutAstNoAndEventCode(String outAstNo,String eventCode){
        return loanLogDOMapper.getByOutAstNoAndEventCode(outAstNo, eventCode);
    }
    /**
     * desc:根据资产编号和事件码获取最新的一条.<br/>
     * @param astNo astNo
     * @param eventCode eventCode
     * @return LoanLogDO
     */
    
    public LoanLogDO getLastByAstNoAndEventCode(String astNo,String eventCode){
        return loanLogDOMapper.getLastByAstNoAndEventCode(astNo, eventCode);
    }
}
