package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanFeeStructureDOMapper;

/**
* The Table abs_plan_fee_structure.
* 计划费用结构
*/
@Repository
public class PlanFeeStructureDAO{

    @Autowired
    private PlanFeeStructureDOMapper planFeeStructureDOMapper;

    /**
     * desc:批量插入表:abs_plan_fee_structure.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanFeeStructureDO> list){
        planFeeStructureDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据计划编号删除数据:abs_plan_fee_structure.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planFeeStructureDOMapper.deleteByPlanNo(planNo);
    }
    /**
     * desc:根据计划编号获取数据:abs_plan_fee_structure.<br/>
     * @param planNo planNo
     * @return List<PlanFeeStructureDO>
     */
    
    public List<PlanFeeStructureDO> selectByPlanNo(String planNo){
        return planFeeStructureDOMapper.selectByPlanNo(planNo);
    }
}
