package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanInvestStructureDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanInvestStructureDOMapper;

/**
* The Table abs_plan_invest_structure.
* 投资结构
*/
@Repository
public class PlanInvestStructureDAO{

    @Autowired
    private PlanInvestStructureDOMapper planInvestStructureDOMapper;

    /**
     * desc:批量插入表:abs_plan_invest_structure.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanInvestStructureDO> list){
        planInvestStructureDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据计划编号删除.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planInvestStructureDOMapper.deleteByPlanNo(planNo);
    }
    /**
     * desc:根据计划编号获取.<br/>
     * @param planNo planNo
     * @return List<PlanInvestStructureDO>
     */
    
    public List<PlanInvestStructureDO> selectByPlanNo(String planNo){
        return planInvestStructureDOMapper.selectByPlanNo(planNo);
    }
}
