package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import java.math.BigDecimal;
import com.general.system.common.model.Money;

/**
 * The table 计划结算科目信息（收付实现制）
 */
public class PlanAcctTitleDO{

    /**
     * id 主键.
     */
    private Long id;
    /**
     * refNo 对应金额类型编号.
     */
    private String refNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * titleNo 科目编号.
     */
    private String titleNo;
    /**
     * calcType 计算方式.
     */
    private String calcType;
    /**
     * scaleType 结算基数.
     */
    private String scaleType;
    /**
     * titleName 科目名称.
     */
    private String titleName;
    /**
     * titleType 科目类型.
     */
    private String titleType;
    /**
     * finSerFeeType 金融服务费支付方式.
     */
    private String finSerFeeType;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * effectDate 起息日.
     */
    private Date effectDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastPayDate 最近支付日.
     */
    private Date lastPayDate;
    /**
     * lastSettleDate 最近结算日.
     */
    private Date lastSettleDate;
    /**
     * rate 计算比例，有关联科目时用.
     */
    private BigDecimal rate;
    /**
     * totalAmt 总金额.
     */
    private BigDecimal totalAmt;
    /**
     * bal 科目余额.
     */
    private Money bal;
    /**
     * payAmt 总发生额-付.
     */
    private Money payAmt;
    /**
     * initAmt 初始额度.
     */
    private Money initAmt;
    /**
     * recpAmt 总发生额-收.
     */
    private Money recpAmt;
    /**
     * entryAmt 入账金额.
     */
    private Money entryAmt;
    /**
     * payVatax 增值税发生额-付.
     */
    private Money payVatax;
    /**
     * recpVatax 增值税发生额-收.
     */
    private Money recpVatax;
    /**
     * upperLimit 金额上限.
     */
    private Money upperLimit;

    /**
     * Set id 主键.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 主键.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set refNo 对应金额类型编号.
     */
    public void setRefNo(String refNo){
        this.refNo = refNo;
    }

    /**
     * Get refNo 对应金额类型编号.
     *
     * @return the string
     */
    public String getRefNo(){
        return refNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set titleNo 科目编号.
     */
    public void setTitleNo(String titleNo){
        this.titleNo = titleNo;
    }

    /**
     * Get titleNo 科目编号.
     *
     * @return the string
     */
    public String getTitleNo(){
        return titleNo;
    }

    /**
     * Set calcType 计算方式.
     */
    public void setCalcType(String calcType){
        this.calcType = calcType;
    }

    /**
     * Get calcType 计算方式.
     *
     * @return the string
     */
    public String getCalcType(){
        return calcType;
    }

    /**
     * Set scaleType 结算基数.
     */
    public void setScaleType(String scaleType){
        this.scaleType = scaleType;
    }

    /**
     * Get scaleType 结算基数.
     *
     * @return the string
     */
    public String getScaleType(){
        return scaleType;
    }

    /**
     * Set titleName 科目名称.
     */
    public void setTitleName(String titleName){
        this.titleName = titleName;
    }

    /**
     * Get titleName 科目名称.
     *
     * @return the string
     */
    public String getTitleName(){
        return titleName;
    }

    /**
     * Set titleType 科目类型.
     */
    public void setTitleType(String titleType){
        this.titleType = titleType;
    }

    /**
     * Get titleType 科目类型.
     *
     * @return the string
     */
    public String getTitleType(){
        return titleType;
    }

    /**
     * Set finSerFeeType 金融服务费支付方式.
     */
    public void setFinSerFeeType(String finSerFeeType){
        this.finSerFeeType = finSerFeeType;
    }

    /**
     * Get finSerFeeType 金融服务费支付方式.
     *
     * @return the string
     */
    public String getFinSerFeeType(){
        return finSerFeeType;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set effectDate 起息日.
     */
    public void setEffectDate(Date effectDate){
        this.effectDate = effectDate;
    }

    /**
     * Get effectDate 起息日.
     *
     * @return the string
     */
    public Date getEffectDate(){
        return effectDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastPayDate 最近支付日.
     */
    public void setLastPayDate(Date lastPayDate){
        this.lastPayDate = lastPayDate;
    }

    /**
     * Get lastPayDate 最近支付日.
     *
     * @return the string
     */
    public Date getLastPayDate(){
        return lastPayDate;
    }

    /**
     * Set lastSettleDate 最近结算日.
     */
    public void setLastSettleDate(Date lastSettleDate){
        this.lastSettleDate = lastSettleDate;
    }

    /**
     * Get lastSettleDate 最近结算日.
     *
     * @return the string
     */
    public Date getLastSettleDate(){
        return lastSettleDate;
    }

    /**
     * Set rate 计算比例，有关联科目时用.
     */
    public void setRate(BigDecimal rate){
        this.rate = rate;
    }

    /**
     * Get rate 计算比例，有关联科目时用.
     *
     * @return the string
     */
    public BigDecimal getRate(){
        return rate;
    }

    /**
     * Set totalAmt 总金额.
     */
    public void setTotalAmt(BigDecimal totalAmt){
        this.totalAmt = totalAmt;
    }

    /**
     * Get totalAmt 总金额.
     *
     * @return the string
     */
    public BigDecimal getTotalAmt(){
        return totalAmt;
    }

    /**
     * Set bal 科目余额.
     */
    public void setBal(Money bal){
        this.bal = bal;
    }

    /**
     * Get bal 科目余额.
     *
     * @return the string
     */
    public Money getBal(){
        if(bal==null){
            return new Money();
        }
        return bal;
    }

    /**
     * Set payAmt 总发生额-付.
     */
    public void setPayAmt(Money payAmt){
        this.payAmt = payAmt;
    }

    /**
     * Get payAmt 总发生额-付.
     *
     * @return the string
     */
    public Money getPayAmt(){
        if(payAmt==null){
            return new Money();
        }
        return payAmt;
    }

    /**
     * Set initAmt 初始额度.
     */
    public void setInitAmt(Money initAmt){
        this.initAmt = initAmt;
    }

    /**
     * Get initAmt 初始额度.
     *
     * @return the string
     */
    public Money getInitAmt(){
        if(initAmt==null){
            return new Money();
        }
        return initAmt;
    }

    /**
     * Set recpAmt 总发生额-收.
     */
    public void setRecpAmt(Money recpAmt){
        this.recpAmt = recpAmt;
    }

    /**
     * Get recpAmt 总发生额-收.
     *
     * @return the string
     */
    public Money getRecpAmt(){
        if(recpAmt==null){
            return new Money();
        }
        return recpAmt;
    }

    /**
     * Set entryAmt 入账金额.
     */
    public void setEntryAmt(Money entryAmt){
        this.entryAmt = entryAmt;
    }

    /**
     * Get entryAmt 入账金额.
     *
     * @return the string
     */
    public Money getEntryAmt(){
        if(entryAmt==null){
            return new Money();
        }
        return entryAmt;
    }

    /**
     * Set payVatax 增值税发生额-付.
     */
    public void setPayVatax(Money payVatax){
        this.payVatax = payVatax;
    }

    /**
     * Get payVatax 增值税发生额-付.
     *
     * @return the string
     */
    public Money getPayVatax(){
        if(payVatax==null){
            return new Money();
        }
        return payVatax;
    }

    /**
     * Set recpVatax 增值税发生额-收.
     */
    public void setRecpVatax(Money recpVatax){
        this.recpVatax = recpVatax;
    }

    /**
     * Get recpVatax 增值税发生额-收.
     *
     * @return the string
     */
    public Money getRecpVatax(){
        if(recpVatax==null){
            return new Money();
        }
        return recpVatax;
    }

    /**
     * Set upperLimit 金额上限.
     */
    public void setUpperLimit(Money upperLimit){
        this.upperLimit = upperLimit;
    }

    /**
     * Get upperLimit 金额上限.
     *
     * @return the string
     */
    public Money getUpperLimit(){
        if(upperLimit==null){
            return new Money();
        }
        return upperLimit;
    }
}
