package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 计划资产水位表
 */
public class PlanAstDO{

    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * status 水位到账状态SUCCESS为到账成功.
     */
    private String status;
    /**
     * planType 计划类型.
     */
    private String planType;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastUpdateDate 最近变更会计日.
     */
    private Date lastUpdateDate;
    /**
     * cash 资金余额.
     */
    private Money cash;
    /**
     * bankBal 银行余额.
     */
    private Money bankBal;
    /**
     * accGrant 累计转让金额.
     */
    private Money accGrant;
    /**
     * payClear 支付待结算.
     */
    private Money payClear;
    /**
     * payOnWay 支付在途.
     */
    private Money payOnWay;
    /**
     * checkCash 水位校验金额.
     */
    private Money checkCash;
    /**
     * repoClear 收入待结算.
     */
    private Money repoClear;
    /**
     * repoOnWay 还款在途.
     */
    private Money repoOnWay;
    /**
     * frozenCash 冻结资金余额.
     */
    private Money frozenCash;
    /**
     * lastBankBal 上一日银行余额.
     */
    private Money lastBankBal;

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 水位到账状态SUCCESS为到账成功.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 水位到账状态SUCCESS为到账成功.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set planType 计划类型.
     */
    public void setPlanType(String planType){
        this.planType = planType;
    }

    /**
     * Get planType 计划类型.
     *
     * @return the string
     */
    public String getPlanType(){
        return planType;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastUpdateDate 最近变更会计日.
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近变更会计日.
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set cash 资金余额.
     */
    public void setCash(Money cash){
        this.cash = cash;
    }

    /**
     * Get cash 资金余额.
     *
     * @return the string
     */
    public Money getCash(){
        if(cash==null){
            return new Money();
        }
        return cash;
    }

    /**
     * Set bankBal 银行余额.
     */
    public void setBankBal(Money bankBal){
        this.bankBal = bankBal;
    }

    /**
     * Get bankBal 银行余额.
     *
     * @return the string
     */
    public Money getBankBal(){
        if(bankBal==null){
            return new Money();
        }
        return bankBal;
    }

    /**
     * Set accGrant 累计转让金额.
     */
    public void setAccGrant(Money accGrant){
        this.accGrant = accGrant;
    }

    /**
     * Get accGrant 累计转让金额.
     *
     * @return the string
     */
    public Money getAccGrant(){
        if(accGrant==null){
            return new Money();
        }
        return accGrant;
    }

    /**
     * Set payClear 支付待结算.
     */
    public void setPayClear(Money payClear){
        this.payClear = payClear;
    }

    /**
     * Get payClear 支付待结算.
     *
     * @return the string
     */
    public Money getPayClear(){
        if(payClear==null){
            return new Money();
        }
        return payClear;
    }

    /**
     * Set payOnWay 支付在途.
     */
    public void setPayOnWay(Money payOnWay){
        this.payOnWay = payOnWay;
    }

    /**
     * Get payOnWay 支付在途.
     *
     * @return the string
     */
    public Money getPayOnWay(){
        if(payOnWay==null){
            return new Money();
        }
        return payOnWay;
    }

    /**
     * Set checkCash 水位校验金额.
     */
    public void setCheckCash(Money checkCash){
        this.checkCash = checkCash;
    }

    /**
     * Get checkCash 水位校验金额.
     *
     * @return the string
     */
    public Money getCheckCash(){
        if(checkCash==null){
            return new Money();
        }
        return checkCash;
    }

    /**
     * Set repoClear 收入待结算.
     */
    public void setRepoClear(Money repoClear){
        this.repoClear = repoClear;
    }

    /**
     * Get repoClear 收入待结算.
     *
     * @return the string
     */
    public Money getRepoClear(){
        if(repoClear==null){
            return new Money();
        }
        return repoClear;
    }

    /**
     * Set repoOnWay 还款在途.
     */
    public void setRepoOnWay(Money repoOnWay){
        this.repoOnWay = repoOnWay;
    }

    /**
     * Get repoOnWay 还款在途.
     *
     * @return the string
     */
    public Money getRepoOnWay(){
        if(repoOnWay==null){
            return new Money();
        }
        return repoOnWay;
    }

    /**
     * Set frozenCash 冻结资金余额.
     */
    public void setFrozenCash(Money frozenCash){
        this.frozenCash = frozenCash;
    }

    /**
     * Get frozenCash 冻结资金余额.
     *
     * @return the string
     */
    public Money getFrozenCash(){
        if(frozenCash==null){
            return new Money();
        }
        return frozenCash;
    }

    /**
     * Set lastBankBal 上一日银行余额.
     */
    public void setLastBankBal(Money lastBankBal){
        this.lastBankBal = lastBankBal;
    }

    /**
     * Get lastBankBal 上一日银行余额.
     *
     * @return the string
     */
    public Money getLastBankBal(){
        if(lastBankBal==null){
            return new Money();
        }
        return lastBankBal;
    }
}
