package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.HostInfoDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.HostHeartInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_host_info.
 * 主机信息
 */
public interface HostInfoDOMapper{

    /**
     * desc:插入表:abs_host_info.<br/>
     * @param entity entity
     * @return int
     */
    int insert(HostInfoDO entity);
    /**
     * desc:批量插入表:abs_host_info.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<HostInfoDO> list);
    /**
     * desc:根据主键删除数据:abs_host_info.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_host_info.<br/>
     * @param id id
     * @return HostInfoDO
     */
    HostInfoDO getById(@Param("id")Long id);
    /**
     * desc:根据唯一约束HostIpUnique更新表:abs_host_info.<br/>
     * @param entity entity
     * @return int
     */
    int updateByHostNameUnique(HostInfoDO entity);
    /**
     * desc:updateHeart.<br/>
     * @param hostName hostName
     * @return int
     */
    int updateHeart(@Param("hostName")String hostName);
    /**
     * desc:根据唯一约束HostIpUnique删除数据:abs_host_info.<br/>
     * @param hostName hostName
     * @return int
     */
    int deleteByHostNameUnique(@Param("hostName")String hostName);
    /**
     * desc:根据唯一约束HostIpUnique获取数据:abs_host_info.<br/>
     * @param hostName hostName
     * @return HostInfoDO
     */
    HostInfoDO selectByName(@Param("hostName")String hostName);
    /**
     * desc:根据唯一约束HostIpUnique获取数据:abs_host_info.<br/>
     * @param hostIp hostIp
     * @return HostInfoDO
     */
    HostInfoDO selectByHostIp(@Param("hostIp")String hostIp);
    /**
     * desc:获取超时主机.<br/>
     * @param currentTime currentTime
     * @param overTime overTime
     * @return List<HostInfoDO>
     */
    List<HostInfoDO> listOvertimeHost(@Param("currentTime")Date currentTime,@Param("overTime")Integer overTime);
    /**
     * desc:获取所有主机.<br/>
     * @return List<HostHeartInfo>
     */
    List<HostHeartInfo> getAllHost();
}
