package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstStatTaskDO;
import java.util.Date;
import java.util.List;
import java.lang.Long;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_ast_stat_task.
 * 计划资产状态汇总任务
 */
public interface PlanAstStatTaskDOMapper{

    /**
     * desc:插入表:abs_plan_ast_stat_task.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAstStatTaskDO entity);
    /**
     * desc:根据主键获取数据:abs_plan_ast_stat_task.<br/>
     * @param planNo planNo
     * @return PlanAstStatTaskDO
     */
    PlanAstStatTaskDO lockByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据唯一约束AbsAstStatTask更新表:abs_plan_ast_stat_task.<br/>
     * @param entity entity
     * @return int
     */
    int updateTask(PlanAstStatTaskDO entity);
    /**
     * desc:根据ip重置任务.<br/>
     * @param lastHost lastHost
     * @return int
     */
    int updateHangTasksByIp(@Param("lastHost")String lastHost);
    /**
     * desc:根据唯一约束AbsAstStatTask获取数据:abs_plan_ast_stat_task.<br/>
     * @param planNo planNo
     * @return PlanAstStatTaskDO
     */
    PlanAstStatTaskDO getByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据唯一约束AbsAstStatTask获取数据:abs_plan_ast_stat_task.<br/>
     * @param curTime curTime
     * @param limit limit
     * @return List<PlanAstStatTaskDO>
     */
    List<PlanAstStatTaskDO> getToDo(@Param("curTime")Date curTime,@Param("limit")Integer limit);
    /**
     * desc:更新任务为执行中.<br/>
     * @param lastExecTime lastExecTime
     * @param lastHost lastHost
     * @param planNos planNos
     * @return int
     */
    int updateTaskExec(@Param("lastExecTime")Date lastExecTime,@Param("lastHost")String lastHost,@Param("planNos")List<String> planNos);
    /**
     * desc:重置状态，更新下次执行时间.<br/>
     * @param nextExecTime nextExecTime
     * @param planNo planNo
     * @return int
     */
    int updateTaskExep(@Param("nextExecTime")Date nextExecTime,@Param("planNo")String planNo);
    /**
     * desc:查询执行次数超次数的统计任务.<br/>
     * @param execTimes execTimes
     * @return List<PlanAstStatTaskDO>
     */
    List<PlanAstStatTaskDO> queryFailStatTask(Long execTimes);
    /**
     * desc:根据状态计数.<br/>
     * @param deadLine deadLine
     * @param status status
     * @return Long
     */
    Long countByStatusAndTime(@Param("deadLine")Date deadLine,@Param("status")String status);
}
