package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTransferRuleDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_transfer_rule.
 * 转让规则
 */
public interface PlanTransferRuleDOMapper{

    /**
     * desc:插入表:abs_plan_transfer_rule.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanTransferRuleDO entity);
    /**
     * desc:批量插入表:abs_plan_transfer_rule.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanTransferRuleDO> list);
    /**
     * desc:更新表:abs_plan_transfer_rule.<br/>
     * @param entity entity
     * @return int
     */
    int update(PlanTransferRuleDO entity);
    /**
     * desc:根据计划编号查询:abs_plan_transfer_rule.<br/>
     * @param planNo planNo
     * @return PlanTransferRuleDO
     */
    PlanTransferRuleDO getByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号查询:abs_plan_transfer_rule.<br/>
     * @param transferNo transferNo
     * @return PlanTransferRuleDO
     */
    PlanTransferRuleDO getByTransferNo(@Param("transferNo")String transferNo);
    /**
     * desc:根据计划编号删除.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
}
