package com.abssqr.plat.common.dal.sync.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.sync.auto.dataobject.WkAbsMfsBillCtrDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsBillSyncCtrStat;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsFailSyncBill;
import java.lang.Long;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsBillCtrIdRange;
import com.abssqr.plat.common.dal.sync.auto.mapper.WkAbsMfsBillCtrDOMapper;

/**
* The Table wk_abs_mfs_bill_ctr.
* WK_ABS_MFS_BILL_CTR
*/
@Repository
public class WkAbsMfsBillCtrDAO{

    @Autowired
    private WkAbsMfsBillCtrDOMapper wkAbsMfsBillCtrDOMapper;

    /**
     * desc:插入表:wk_abs_mfs_bill_ctr.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(WkAbsMfsBillCtrDO entity){
        return wkAbsMfsBillCtrDOMapper.insert(entity);
    }
    /**
     * desc:updateData.<br/>
     * @param orgNo orgNo
     * @return int
     */
    
    public int updateData(String orgNo){
        return wkAbsMfsBillCtrDOMapper.updateData(orgNo);
    }
    /**
     * desc:queryPartitionForCheck.<br/>
     * @param partitionName partitionName
     * @return String
     */
    
    public String queryPartitionForCheck(String partitionName){
        return wkAbsMfsBillCtrDOMapper.queryPartitionForCheck(partitionName);
    }
    /**
     * desc:updateCreatePartition.<br/>
     * @param orgNo orgNo
     * @param partitionName partitionName
     * @return int
     */
    
    public int updateCreatePartition(String orgNo,String partitionName){
        return wkAbsMfsBillCtrDOMapper.updateCreatePartition(orgNo, partitionName);
    }
    /**
     * desc:根据会计日期(D+1)待变更的借据编号生成控制表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param curYesterDate curYesterDate
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    
    public int insertSync2AbsMfsBillCtr(Date syncDate,String orgNo,String dbLink,String curDate,String wkxwDbName,String curYesterDate,String wkxwSynonymAft,String wkxwSynonymPre,List<String> lists){
        return wkAbsMfsBillCtrDOMapper.insertSync2AbsMfsBillCtr(syncDate, orgNo, dbLink, curDate, wkxwDbName, curYesterDate, wkxwSynonymAft, wkxwSynonymPre, lists);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param orgNo orgNo
     * @param limit limit
     * @return List<WkAbsMfsBillCtrDO>
     */
    
    public List<WkAbsMfsBillCtrDO> selectInitTask(String orgNo,Integer limit){
        return wkAbsMfsBillCtrDOMapper.selectInitTask(orgNo, limit);
    }
    /**
     * desc:根据id范围查询待执行的任务.<br/>
     * @param maxId maxId
     * @param minId minId
     * @param limit limit
     * @return List<WkAbsMfsBillCtrDO>
     */
    
    public List<WkAbsMfsBillCtrDO> selectInitTaskByIdRange(Long maxId,Long minId,Integer limit){
        return wkAbsMfsBillCtrDOMapper.selectInitTaskByIdRange(maxId, minId, limit);
    }
    /**
     * desc:根据id查询待执行的任务.<br/>
     * @param id id
     * @return WkAbsMfsBillCtrDO
     */
    
    public WkAbsMfsBillCtrDO selectInitTaskById(Long id){
        return wkAbsMfsBillCtrDOMapper.selectInitTaskById(id);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param id id
     * @return WkAbsMfsBillCtrDO
     */
    
    public WkAbsMfsBillCtrDO lockById(Long id){
        return wkAbsMfsBillCtrDOMapper.lockById(id);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param orgNo orgNo
     * @return List<WkAbsMfsBillCtrDO>
     */
    
    public List<WkAbsMfsBillCtrDO> selectRemainTask(String orgNo){
        return wkAbsMfsBillCtrDOMapper.selectRemainTask(orgNo);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param maxId maxId
     * @param minId minId
     * @return List<WkAbsMfsBillCtrDO>
     */
    
    public List<WkAbsMfsBillCtrDO> selectRemainTaskSplit(Long maxId,Long minId){
        return wkAbsMfsBillCtrDOMapper.selectRemainTaskSplit(maxId, minId);
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param execTimes execTimes
     * @param list list
     * @return List<MfsBillSyncCtrStat>
     */
    
    public List<MfsBillSyncCtrStat> queryFailSyncBill(Date syncDate,Long execTimes,List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        return wkAbsMfsBillCtrDOMapper.queryFailSyncBill(syncDate, execTimes, list);
    }
    /**
     * desc:查询失败任务.<br/>
     * @param syncDate syncDate
     * @param execTimes execTimes
     * @param list list
     * @return MfsFailSyncBill
     */
    
    public MfsFailSyncBill countFailSyncBill(Date syncDate,Long execTimes,List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        return wkAbsMfsBillCtrDOMapper.countFailSyncBill(syncDate, execTimes, list);
    }
    /**
     * desc:更新执行的任务状态.<br/>
     * @param id id
     * @param curStatus curStatus
     * @param taskStatus taskStatus
     * @return int
     */
    
    public int updateTaskStatus(Long id,String curStatus,String taskStatus){
        return wkAbsMfsBillCtrDOMapper.updateTaskStatus(id, curStatus, taskStatus);
    }
    /**
     * desc:更新任务为执行中.<br/>
     * @param nextExecTime nextExecTime
     * @return WkAbsMfsBillCtrDO
     */
    
    public WkAbsMfsBillCtrDO recoverFailTask(Date nextExecTime){
        return wkAbsMfsBillCtrDOMapper.recoverFailTask(nextExecTime);
    }
    /**
     * desc:更新任务为执行中.<br/>
     * @param lastExecTime lastExecTime
     * @param lastHost lastHost
     * @param idList idList
     * @return int
     */
    
    public int updateTaskExec(Date lastExecTime,String lastHost,List<Long> idList){
    if(idList!=null && idList.size()>1000){throw new RuntimeException("idList 超出1000长度限制");}
        return wkAbsMfsBillCtrDOMapper.updateTaskExec(lastExecTime, lastHost, idList);
    }
    /**
     * desc:重置状态，更新下次执行时间.<br/>
     * @param nextExecTime nextExecTime
     * @param id id
     * @param taskStatus taskStatus
     * @return int
     */
    
    public int updateTaskExep(Date nextExecTime,Long id,String taskStatus){
        return wkAbsMfsBillCtrDOMapper.updateTaskExep(nextExecTime, id, taskStatus);
    }
    /**
     * desc:根据ip重置任务.<br/>
     * @param lastHost lastHost
     * @return int
     */
    
    public int updateHangTasksByIp(String lastHost){
        return wkAbsMfsBillCtrDOMapper.updateHangTasksByIp(lastHost);
    }
    /**
     * desc:根据ip重置任务.<br/>
     * @return Long
     */
    
    public Long selectInitTaskCnt(){
        return wkAbsMfsBillCtrDOMapper.selectInitTaskCnt();
    }
    /**
     * desc:查询待执行的任务.<br/>
     * @param limit limit
     * @param minId minId
     * @return MfsBillCtrIdRange
     */
    
    public MfsBillCtrIdRange selectMaxIdAndMinIdOfInitTask(Long limit,Long minId){
        return wkAbsMfsBillCtrDOMapper.selectMaxIdAndMinIdOfInitTask(limit, minId);
    }
    /**
     * desc:查询状态为faild的同步任务.<br/>
     * @return List<WkAbsMfsBillCtrDO>
     */
    
    public List<WkAbsMfsBillCtrDO> getFailTask(){
        return wkAbsMfsBillCtrDOMapper.getFailTask();
    }
    /**
     * desc:删除状态为faild且LoanId在指定范围的同步任务.<br/>
     * @param orgNo orgNo
     * @return int
     */
    
    public int deleteFailTasksByIgnore(String orgNo){
        return wkAbsMfsBillCtrDOMapper.deleteFailTasksByIgnore(orgNo);
    }
}
