package com.abssqr.plat.common.dal.sync.auto.mapper;

import com.abssqr.plat.common.dal.sync.auto.dataobject.WkAbsMfsBillCtrDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsBillSyncCtrStat;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsFailSyncBill;
import java.lang.Long;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsBillCtrIdRange;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table wk_abs_mfs_bill_ctr.
 * WK_ABS_MFS_BILL_CTR
 */
public interface WkAbsMfsBillCtrDOMapper{

    /**
     * desc:插入表:wk_abs_mfs_bill_ctr.<br/>
     * @param entity entity
     * @return int
     */
    int insert(WkAbsMfsBillCtrDO entity);
    /**
     * desc:updateData.<br/>
     * @param orgNo orgNo
     * @return int
     */
    int updateData(@Param("orgNo")String orgNo);
    /**
     * desc:queryPartitionForCheck.<br/>
     * @param partitionName partitionName
     * @return String
     */
    String queryPartitionForCheck(@Param("partitionName")String partitionName);
    /**
     * desc:updateCreatePartition.<br/>
     * @param orgNo orgNo
     * @param partitionName partitionName
     * @return int
     */
    int updateCreatePartition(@Param("orgNo")String orgNo,@Param("partitionName")String partitionName);
    /**
     * desc:根据会计日期(D+1)待变更的借据编号生成控制表.<br/>
     * @param syncDate syncDate
     * @param orgNo orgNo
     * @param dbLink dbLink
     * @param curDate curDate
     * @param wkxwDbName wkxwDbName
     * @param curYesterDate curYesterDate
     * @param wkxwSynonymAft wkxwSynonymAft
     * @param wkxwSynonymPre wkxwSynonymPre
     * @param lists lists
     * @return int
     */
    int insertSync2AbsMfsBillCtr(@Param("syncDate")Date syncDate,@Param("orgNo")String orgNo,@Param("dbLink")String dbLink,@Param("curDate")String curDate,@Param("wkxwDbName")String wkxwDbName,@Param("curYesterDate")String curYesterDate,@Param("wkxwSynonymAft")String wkxwSynonymAft,@Param("wkxwSynonymPre")String wkxwSynonymPre,@Param("lists")List<String> lists);
    /**
     * desc:查询待执行的任务.<br/>
     * @param orgNo orgNo
     * @param limit limit
     * @return List<WkAbsMfsBillCtrDO>
     */
    List<WkAbsMfsBillCtrDO> selectInitTask(@Param("orgNo")String orgNo,@Param("limit")Integer limit);
    /**
     * desc:根据id范围查询待执行的任务.<br/>
     * @param maxId maxId
     * @param minId minId
     * @param limit limit
     * @return List<WkAbsMfsBillCtrDO>
     */
    List<WkAbsMfsBillCtrDO> selectInitTaskByIdRange(@Param("maxId")Long maxId,@Param("minId")Long minId,@Param("limit")Integer limit);
    /**
     * desc:根据id查询待执行的任务.<br/>
     * @param id id
     * @return WkAbsMfsBillCtrDO
     */
    WkAbsMfsBillCtrDO selectInitTaskById(Long id);
    /**
     * desc:查询待执行的任务.<br/>
     * @param id id
     * @return WkAbsMfsBillCtrDO
     */
    WkAbsMfsBillCtrDO lockById(Long id);
    /**
     * desc:查询待执行的任务.<br/>
     * @param orgNo orgNo
     * @return List<WkAbsMfsBillCtrDO>
     */
    List<WkAbsMfsBillCtrDO> selectRemainTask(@Param("orgNo")String orgNo);
    /**
     * desc:查询待执行的任务.<br/>
     * @param maxId maxId
     * @param minId minId
     * @return List<WkAbsMfsBillCtrDO>
     */
    List<WkAbsMfsBillCtrDO> selectRemainTaskSplit(@Param("maxId")Long maxId,@Param("minId")Long minId);
    /**
     * desc:查询待执行的任务.<br/>
     * @param syncDate syncDate
     * @param execTimes execTimes
     * @param list list
     * @return List<MfsBillSyncCtrStat>
     */
    List<MfsBillSyncCtrStat> queryFailSyncBill(@Param("syncDate")Date syncDate,@Param("execTimes")Long execTimes,@Param("list")List<String> list);
    /**
     * desc:查询失败任务.<br/>
     * @param syncDate syncDate
     * @param execTimes execTimes
     * @param list list
     * @return MfsFailSyncBill
     */
    MfsFailSyncBill countFailSyncBill(@Param("syncDate")Date syncDate,@Param("execTimes")Long execTimes,@Param("list")List<String> list);
    /**
     * desc:更新执行的任务状态.<br/>
     * @param id id
     * @param curStatus curStatus
     * @param taskStatus taskStatus
     * @return int
     */
    int updateTaskStatus(@Param("id")Long id,@Param("curStatus")String curStatus,@Param("taskStatus")String taskStatus);
    /**
     * desc:更新任务为执行中.<br/>
     * @param nextExecTime nextExecTime
     * @return WkAbsMfsBillCtrDO
     */
    WkAbsMfsBillCtrDO recoverFailTask(@Param("nextExecTime")Date nextExecTime);
    /**
     * desc:更新任务为执行中.<br/>
     * @param lastExecTime lastExecTime
     * @param lastHost lastHost
     * @param idList idList
     * @return int
     */
    int updateTaskExec(@Param("lastExecTime")Date lastExecTime,@Param("lastHost")String lastHost,@Param("idList")List<Long> idList);
    /**
     * desc:重置状态，更新下次执行时间.<br/>
     * @param nextExecTime nextExecTime
     * @param id id
     * @param taskStatus taskStatus
     * @return int
     */
    int updateTaskExep(@Param("nextExecTime")Date nextExecTime,@Param("id")Long id,@Param("taskStatus")String taskStatus);
    /**
     * desc:根据ip重置任务.<br/>
     * @param lastHost lastHost
     * @return int
     */
    int updateHangTasksByIp(@Param("lastHost")String lastHost);
    /**
     * desc:根据ip重置任务.<br/>
     * @return Long
     */
    Long selectInitTaskCnt();
    /**
     * desc:查询待执行的任务.<br/>
     * @param limit limit
     * @param minId minId
     * @return MfsBillCtrIdRange
     */
    MfsBillCtrIdRange selectMaxIdAndMinIdOfInitTask(@Param("limit")Long limit,@Param("minId")Long minId);
    /**
     * desc:查询状态为faild的同步任务.<br/>
     * @return List<WkAbsMfsBillCtrDO>
     */
    List<WkAbsMfsBillCtrDO> getFailTask();
    /**
     * desc:删除状态为faild且LoanId在指定范围的同步任务.<br/>
     * @param orgNo orgNo
     * @return int
     */
    int deleteFailTasksByIgnore(@Param("orgNo")String orgNo);
}
