/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 资产交易的类型 资产转让、资产回购
 * @author hanfei
 * @version $Id: AstPackTradeTypeEnum.java, v 0.1 2020-02-08 6:39 PM hanfei Exp $
 */
public enum AstPackTradeTypeEnum implements IEnum {
    
    
    BUY_BACK_BIZ("BUY_BACK_BIZ", "回购交易"),
    
    AST_TRF_BIZ("AST_TRF_BIZ", "转让交易"),
    
    ;
    
    private static final Map<String, AstPackTradeTypeEnum> codeMap = new HashMap<>();
    
    static {
        for (AstPackTradeTypeEnum item : AstPackTradeTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    AstPackTradeTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static AstPackTradeTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return this.code;
    }
    
    @Override
    public String getDesc() {
        return this.desc;
    }
}
