/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 资产包类型枚举
 *
 * @author guozhenhua
 * @version com.abssqr.common.model.enums: AstStatusEnum.java, v 0.1 2017-12-05 下午16:04 zhenxuan.luo Exp $
 */
public enum AstPackTypeEnum implements IEnum {
    NORMAL("normal","正常"),
    DEFAULT("default","默认包"),

    ;

    private static final Map<String, AstPackTypeEnum> codeMap = new HashMap<String, AstPackTypeEnum>();

    static {
        for (AstPackTypeEnum item : AstPackTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private AstPackTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static AstPackTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}