/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

/**
 * 债金额类型
 *
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: DebtMoneyFieldEnum.java, v 0.1 2017-12-05 下午17:24 zhenxuan.luo Exp $ 
 */
public enum DebtMoneyFieldEnum implements IEnum {
    
    /**
     * 本金
     */
    PRIN("prin", "本金"),
    /**
     * 本金
     */
    OVD_PRIN("ovdPrin", "逾期本金"),
    /**
     * 利息
     */
    INTR("intr", "利息"),
    /**
     * 利息
     */
    OVD_INTR("ovdIntr", "逾期利息"),
    /**
     * 本罚
     */
    PRIN_ODUE_PNY("prinOduePny", "本罚"),
    /**
     * 利罚
     */
    INTR_ODUE_PNY("intrOduePny", "利罚"),
    /**
     * 费用
     */
    FEE("fee", "费用"),
    /**
     * 逾期费用
     */
    OVD_FEE("ovdFee", "逾期费用"),
    /**
     * 滞纳金
     */
    FEE_PNY("feePny", "滞纳金"),
    /**
     * 其他费用
     */
    OTHER_FEE("otherFee", "其他费用"),
    /**
     * 滞纳金
     */
    OTHER_FEE_PNY("otherFeePny", "其他费用滞纳金"),
    ;
    
    private        String                                            code;
    private        String                                            desc;
    
    /**
     * 默认构造函数
     *
     * @param code
     * @param desc
     */
    private DebtMoneyFieldEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    /**
     * 根据code获取枚举
     *
     * @param code
     * @return
     */
    public static DebtMoneyFieldEnum getByCode(String code) {
        
        for (DebtMoneyFieldEnum enums : DebtMoneyFieldEnum.values()) {
            if (enums.getCode().equals(code)) {
                return enums;
            }
        }
        return null;
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
}