/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 事件码
 *
 * @author zhenxuan.luo
 * @version $Id: AstRiskClassEnum.java, v 0.1 2017-06-07 下午21:07 zhenxuan.luo Exp $
 */
public enum EventCodeEnum implements IEnum {
    
    /**
     * {@link TransCodeEnum#ADMIN}
     */
    ADMIN_DTL_QRY("0001", "后台详情查询", TransCodeEnum.ADMIN, AstFlowTypeEnum.NO_CHANGE),
    
    ADMIN_LIST_QRY("0002", "后台列表查询", TransCodeEnum.ADMIN, AstFlowTypeEnum.NO_CHANGE),
    
    ADMIN_EDIT("0003", "后台编辑", TransCodeEnum.ADMIN, AstFlowTypeEnum.NO_CHANGE),
    /**
     * {@link TransCodeEnum#OTHER}
     */
    AST_QRY("0001", "资产查询", TransCodeEnum.OTHER, AstFlowTypeEnum.NO_CHANGE),
    
    OTHER("9999", "其他", TransCodeEnum.OTHER, AstFlowTypeEnum.NO_CHANGE),
    /**
     * {@link TransCodeEnum#OTHER}
     */
    STAT_ADD("0001", "统计-累加", TransCodeEnum.STAT, AstFlowTypeEnum.FLOW_IN),
    
    STAT_SUB("0002", "统计-扣减", TransCodeEnum.STAT, AstFlowTypeEnum.FLOW_OUT),
    /**
     * {@link TransCodeEnum#REPO}
     */
    PRE_REPAY("0001", "提前还款", TransCodeEnum.REPO, AstFlowTypeEnum.FLOW_OUT),
    
    DUE_REPAY("0002", "到期还款", TransCodeEnum.REPO, AstFlowTypeEnum.FLOW_OUT),
    
    ODUE_REPAY("0003", "逾期还款", TransCodeEnum.REPO, AstFlowTypeEnum.FLOW_OUT),
    
    REPAY_COMPONSATE("0004", "还款补偿", TransCodeEnum.REPO, AstFlowTypeEnum.FLOW_OUT),


    //流入
    HANG_OTHER_FEE("0001", "其他费用挂费", TransCodeEnum.HANG_FEE, AstFlowTypeEnum.FLOW_IN),


    /**
     * {@link TransCodeEnum#INTR_FEE_SETTLEMENT}
     */
    SETTLE("0001", "结息费", TransCodeEnum.INTR_FEE_SETTLEMENT, AstFlowTypeEnum.FLOW_IN),
    
    SETTLE_COMPONSATE("0002", "结息补偿", TransCodeEnum.INTR_FEE_SETTLEMENT, AstFlowTypeEnum.FLOW_IN),

    /**
     * {@link TransCodeEnum#BUY_AST}
     */
    TRANS_IN("0001", "转入", TransCodeEnum.BUY_AST, AstFlowTypeEnum.FLOW_IN),
    /**
     * {@link TransCodeEnum#SELL_AST}
     */
    TRANS_OUT("0001", "转出", TransCodeEnum.SELL_AST, AstFlowTypeEnum.FLOW_OUT),
    /**
     * 099
     * {@link TransCodeEnum#SYNC}
     */
    SYNC("0001", "资产同步", TransCodeEnum.SYNC, AstFlowTypeEnum.FLOW_IN),
    
    SYNC_COMPONSATE("0002", "资产同步补偿-当天放款当天还款时处理", TransCodeEnum.SYNC, AstFlowTypeEnum.FLOW_IN),
    
    /**
     * {@link TransCodeEnum#ADJ_TERM}
     */
    ADJ_TERM_IN("0001", "资产期次调整-调入", TransCodeEnum.ADJ_TERM, AstFlowTypeEnum.FLOW_IN),
    
    ADJ_TERM_OUT("0002", "资产期次调整-调出", TransCodeEnum.ADJ_TERM, AstFlowTypeEnum.FLOW_OUT),
    
    /**
     * 分配{@link TransCodeEnum#ALLOC}
     */
    ALLOC_PAY("0001", "分配", TransCodeEnum.ALLOC, AstFlowTypeEnum.FLOW_OUT),
    /**
     * 放款冲正{@link TransCodeEnum#GRANT_REVERSE}
     */
    GRANT_REVERSE("0001", "发放冲正", TransCodeEnum.GRANT_REVERSE, AstFlowTypeEnum.FLOW_OUT),
    /**
     * 回收冲正{@link TransCodeEnum#REPO_REVERSE}
     */
    REPO_REVERSE("0001", "回收冲正", TransCodeEnum.REPO_REVERSE, AstFlowTypeEnum.FLOW_IN),
    /**
     * 核销{@link TransCodeEnum#ST_CHG}
     */
    WRITE_OFF("0001", "核销", TransCodeEnum.ST_CHG, AstFlowTypeEnum.NO_CHANGE),
    
    /**
     * 减免{@link TransCodeEnum#EXMPT}
     */
    EXMPT("0001", "减免息费", TransCodeEnum.EXMPT, AstFlowTypeEnum.FLOW_OUT),
    
    GRANT_SIMU("0001", "放款模拟", TransCodeEnum.AST_SIMU, AstFlowTypeEnum.FLOW_IN),
    
    SETTLE_SIMU("0002", "收益模拟", TransCodeEnum.AST_SIMU, AstFlowTypeEnum.FLOW_IN),
    
    REPO_SIMU("0003", "还款模拟", TransCodeEnum.AST_SIMU, AstFlowTypeEnum.FLOW_OUT),

    /**
     * 资金资产匹配{@link TransCodeEnum#CAP_AST_MATCH}
     */
    CAP_AST_MATCH("0001", "资金资产匹配", TransCodeEnum.CAP_AST_MATCH, AstFlowTypeEnum.NO_CHANGE),

    CAP_AST_UNMATCH("0002", "资金资产解除匹配", TransCodeEnum.CAP_AST_MATCH, AstFlowTypeEnum.NO_CHANGE),


    /**
     * ========== 科目交易 ===========
     */
    /**
     * 科目结息{@link TransCodeEnum#TITLE_TRANS}
     */
    TITLE_SETTLE("0001", "科目结息", TransCodeEnum.TITLE_TRANS, AstFlowTypeEnum.NO_CHANGE),
    
    TITLE_ALLOC("0002", "科目兑付", TransCodeEnum.TITLE_TRANS, AstFlowTypeEnum.NO_CHANGE),
    
    TITLE_INVEST("0003", "科目到账", TransCodeEnum.TITLE_TRANS, AstFlowTypeEnum.NO_CHANGE),
    
    /**
     *  回购交易
     */
    /**
     * {@link TransCodeEnum#BUY_BACK_IN}
     */
    BACK_IN("0001", "转入", TransCodeEnum.BUY_BACK_IN, AstFlowTypeEnum.FLOW_IN),
    /**
     * {@link TransCodeEnum#BUY_BACK_OUT}
     */
    BACK_OUT("0001", "转出", TransCodeEnum.BUY_BACK_OUT, AstFlowTypeEnum.FLOW_OUT),
    ;
    
    private static final Map<String, EventCodeEnum> codeMap = new HashMap<String, EventCodeEnum>();
    
    static {
        for (EventCodeEnum item : EventCodeEnum.values()) {
            buildEventCode(item);
            
            if (codeMap.containsKey(item.getCode())) {
                throw new RuntimeException("[事件码冲突]" + item + "的事件码[" + item.getCode() + "]已存在");
            }
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String          code;
    private String          desc;
    /**
     * 交易编码
     */
    private TransCodeEnum   sceneCode;
    /**
     * 资产流向
     */
    private AstFlowTypeEnum assetFlow;
    /**
     * 事件码
     */
    private String          eventCode;
    
    
    EventCodeEnum(String code, String desc, TransCodeEnum sceneCode,
                          AstFlowTypeEnum assetFlow) {
        this.code = code;
        this.desc = desc;
        this.sceneCode = sceneCode;
        this.assetFlow = assetFlow;
    }
    
    private static void buildEventCode(EventCodeEnum eventCode) {
        StringBuilder builder = new StringBuilder();
        builder.append(eventCode.sceneCode.getCode()).append(eventCode.code);
        eventCode.eventCode = builder.toString();
    }
    
    public static EventCodeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return eventCode;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
    public AstFlowTypeEnum getAssetFlow() {
        return assetFlow;
    }
    
    public TransCodeEnum getSceneCode() {
        return sceneCode;
    }
}