/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;


import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author guozhenhua
 * @version com.abssqr.common.model.enums: LoanTypeEnum.java, v 0.1 2017-12-18 上午10:45 guozhenhua Exp $
 */
public enum LoanTypeEnum implements IEnum {

    LT01("01","房贷"),
    LT02("02", "车贷"),
    LT03("03", "消费贷"),
    LT04("04", "经营贷"),
    LT99("99", "其他");


    private String code;
    private String desc;

    LoanTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    private static final Map<String, LoanTypeEnum> codeMap = new HashMap<String, LoanTypeEnum>();

    static {
        for (LoanTypeEnum item : LoanTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    public static LoanTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
