/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 计划资金交易类型
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.enums: PlanIndicatorEnum.java, v 0.1 2019-05-28 15:07 zhenxuan.luo Exp $
 */
public enum PlanCapitalFrozenTypeEnum implements IEnum {
    
    FROZEN("FCF01", "冻结"),
    
    UN_FROZEN("FCF02", "解冻"),
    
    ;
    
    private static final Map<String, PlanCapitalFrozenTypeEnum> codeMap = new HashMap<>();
    
    static {
        for (PlanCapitalFrozenTypeEnum item : PlanCapitalFrozenTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    PlanCapitalFrozenTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static PlanCapitalFrozenTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
}