/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 计划状态
 * @author yaphet
 * @version com.abssqr.common.model.enums: PlanStatusEnum.java, v 0.1 2018-01-15 下午3:13 yaphet Exp $ 
 */
public enum PlanStatusEnum implements IEnum {

    PREPARING("PREPARING", "准备中"),
    ONGOING("ONGOING", "存续中"),
    COMPLETED("COMPLETED", "已清算");
    private static final Map<String, PlanStatusEnum> codeMap = new HashMap<String, PlanStatusEnum>();

    static {
        for (PlanStatusEnum item : PlanStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    PlanStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static PlanStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
