/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 任务状态枚举类
 *
 * @author zhenxuan.luo
 * @version $Id: AssetStatusEnum.java, v 0.1 2017-06-07 下午18:38 zhenxuan.luo Exp $ 
 */
public enum SyncTaskTypeEnum implements IEnum {

    AST_SYNC("AST_SYNC","资产同步"),
    AST_MOD("AST_MOD","资产内部模型"),
    AST_MOD_CHECK("AST_MOD_CHECK","资产内部模型检查"),
    AST_CHK("AST_CHK","资产核验"),
    AST_MTH("AST_MTH","资产匹配"),
    AST_TRF("AST_TRF","资产转让"),
    AST_SER_FEE("AST_SER_FEE","金融服务费科目计算"),

    ;

    private static final Map<String, SyncTaskTypeEnum> codeMap = new HashMap<String, SyncTaskTypeEnum>();

    static {
        for (SyncTaskTypeEnum item : SyncTaskTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private SyncTaskTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static SyncTaskTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}