/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.enums: BizErrorCodeEnum.java, v 0.1 2018-02-02 上午10:43 guozhenhua Exp $ 
 */
public enum YNEnum implements IEnum<String> {

    Y("Y" ,"Y", true),

    N("N" ,"N", false);


    private String code;
    private String desc;
    private boolean isYes;

    YNEnum(String code, String desc, boolean isYes) {
        this.code = code;
        this.desc = desc;
        this.isYes = isYes;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }


    private static final Map<String, YNEnum> codeMap = new HashMap<String, YNEnum>();

    static {
        for (YNEnum item : YNEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    public static YNEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    public static YNEnum getByCode(boolean code) {
        return code ? Y : N;
    }
    
    public boolean isYes() {
        return isYes;
    }
}
