/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.account;

import com.abssqr.plat.common.facade.enums.AccountAttributeEnum;
import com.abssqr.plat.common.facade.enums.AccountTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;

/**
 * 账号
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.model.account: Account.java, v 0.1 2019-05-29 11:57 bangis.wangdf Exp $
 */
public class Account extends BaseEntity implements Serializable {
    private static final long                 serialVersionUID = -6623437277107339357L;
    /**
     * 账户类型
     */
    private              AccountTypeEnum      actType;
    /**
     * 五矿渠道
     */
    private              String               channelNo;
    /**
     * 账户属性
     */
    private              AccountAttributeEnum actAttr;
    /**
     * 账户号
     */
    private              String               actNo;
    /**
     * 对应账号：
     * actAttr==bank  mapActNo==平台户
     * actAttr==PLAT  mapActNo==银行户
     */
    private              String               mapActNo;
    /**
     * 对应账号：
     * actAttr==bank  mapActNo==平台户
     * actAttr==PLAT  mapActNo==银行户
     */
    private              String               mapChannelNo;
    /**
     * 账户余额
     */
    private              Money                bankBal;
    
    /**
     * 账号名
     */
    private              String               actName;
    /**
     * 省
     */
    private              String               actProv;
    /**
     * 市
     */
    private              String               actCity;
    /**
     * 开户行
     */
    private              String               actBank;

    private String planNo;

    public AccountTypeEnum getActType() {
        return actType;
    }

    public void setActType(AccountTypeEnum actType) {
        this.actType = actType;
    }

    public AccountAttributeEnum getActAttr() {
        return actAttr;
    }

    public void setActAttr(AccountAttributeEnum actAttr) {
        this.actAttr = actAttr;
    }

    public String getActNo() {
        return actNo;
    }

    public void setActNo(String actNo) {
        this.actNo = actNo;
    }

    public String getActName() {
        return actName;
    }

    public void setActName(String actName) {
        this.actName = actName;
    }

    public String getActProv() {
        return actProv;
    }

    public void setActProv(String actProv) {
        this.actProv = actProv;
    }

    public String getActCity() {
        return actCity;
    }

    public void setActCity(String actCity) {
        this.actCity = actCity;
    }

    public String getActBank() {
        return actBank;
    }

    public void setActBank(String actBank) {
        this.actBank = actBank;
    }

    public String getChannelNo() {
        return channelNo;
    }

    public void setChannelNo(String channelNo) {
        this.channelNo = channelNo;
    }
    
    public Money getBankBal() {
        return bankBal;
    }
    
    public void setBankBal(Money bankBal) {
        this.bankBal = bankBal;
    }
    
    public String getMapActNo() {
        return mapActNo;
    }
    
    public void setMapActNo(String mapActNo) {
        this.mapActNo = mapActNo;
    }
    
    public String getMapChannelNo() {
        return mapChannelNo;
    }
    
    public void setMapChannelNo(String mapChannelNo) {
        this.mapChannelNo = mapChannelNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
}
