package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeTimeTypeEnum;
import com.abssqr.plat.common.facade.enums.FinSerFeeTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.math.BigDecimal;

/**
 * @author bangis.wangdf
 * @description 费用结构
 */
public class FeeStructure extends BaseEntity {
    /**
     * 费用编号
     */
    private String            feeNo;
    /**
     * 费用名称
     */
    private String            feeName;
    /**
     * 计费时间
     */
    private FeeTimeTypeEnum   feeTimeType;
    /**
     * 计算方式 : 固定金额  比例金额
     */
    private CalcTypeEnum      feeCalcType;
    /**
     * 固定费用
     */
    private Money             fixedFeeAmt = new Money(0);
    /**
     * 费率基准
     */
    private FeeScaleTypeEnum  feeScaleType;
    /**
     * 金融服务费支付方式
     */
    private FinSerFeeTypeEnum finSerFeeType;
    /**
     * 费率
     */
    private BigDecimal        feeRate     = BigDecimal.ZERO;
    /**
     * 按日计费
     */
    private Boolean           calcByDay;
    /**
     * 支付上限
     */
    private Money             payLimitAmt = new Money(0);

    public String getFeeNo() {
        return feeNo;
    }

    public void setFeeNo(String feeNo) {
        this.feeNo = feeNo;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }

    public FeeTimeTypeEnum getFeeTimeType() {
        return feeTimeType;
    }

    public void setFeeTimeType(FeeTimeTypeEnum feeTimeType) {
        this.feeTimeType = feeTimeType;
    }

    public CalcTypeEnum getFeeCalcType() {
        return feeCalcType;
    }

    public void setFeeCalcType(CalcTypeEnum feeCalcType) {
        this.feeCalcType = feeCalcType;
    }

    public Money getFixedFeeAmt() {
        return fixedFeeAmt;
    }

    public void setFixedFeeAmt(Money fixedFeeAmt) {
        this.fixedFeeAmt = fixedFeeAmt;
    }

    public FeeScaleTypeEnum getFeeScaleType() {
        return feeScaleType;
    }

    public void setFeeScaleType(FeeScaleTypeEnum feeScaleType) {
        this.feeScaleType = feeScaleType;
    }

    public BigDecimal getFeeRate() {
        return feeRate;
    }

    public void setFeeRate(BigDecimal feeRate) {
        this.feeRate = feeRate;
    }

    public Boolean getCalcByDay() {
        return calcByDay;
    }

    public void setCalcByDay(Boolean calcByDay) {
        this.calcByDay = calcByDay;
    }

    public Money getPayLimitAmt() {
        return payLimitAmt;
    }

    public void setPayLimitAmt(Money payLimitAmt) {
        this.payLimitAmt = payLimitAmt;
    }

    public FinSerFeeTypeEnum getFinSerFeeType() {
        return finSerFeeType;
    }

    public void setFinSerFeeType(FinSerFeeTypeEnum finSerFeeType) {
        this.finSerFeeType = finSerFeeType;
    }
}
