package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.IntrTypeEnum;
import com.abssqr.plat.common.facade.enums.LayerTypeEnu;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 投资结构
 *
 * @author bangis.wangdf
 */
public class InvestStructure extends BaseEntity {
    /**
     *  层次名称.
     */
    private String       layerNo;
    /**
     *  层次名称.
     */
    private String       layerName;
    /**
     * 层级类型
     */
    private LayerTypeEnu layerType;
    /**
     * 层级规模
     */
    private Money        layerAmt = new Money(0);;
    /**
     * 利率类型
     */
    private IntrTypeEnum intrType;
    /**
     * 层级利率
     */
    private BigDecimal   layerIntr;
    /**
     * 到期日
     */
    private Date         layerEndDate;

    /**
     * 起息日
     */
    private Date         effectDate;

    /**
     * 是否为追加
     */
    private Boolean      append = false;

    public String getLayerNo() {
        return layerNo;
    }

    public void setLayerNo(String layerNo) {
        this.layerNo = layerNo;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public LayerTypeEnu getLayerType() {
        return layerType;
    }

    public void setLayerType(LayerTypeEnu layerType) {
        this.layerType = layerType;
    }

    public Money getLayerAmt() {
        return layerAmt;
    }

    public void setLayerAmt(Money layerAmt) {
        this.layerAmt = layerAmt;
    }

    public IntrTypeEnum getIntrType() {
        return intrType;
    }

    public void setIntrType(IntrTypeEnum intrType) {
        this.intrType = intrType;
    }

    public BigDecimal getLayerIntr() {
        return layerIntr;
    }

    public void setLayerIntr(BigDecimal layerIntr) {
        this.layerIntr = layerIntr;
    }

    public Date getLayerEndDate() {
        return layerEndDate;
    }

    public void setLayerEndDate(Date layerEndDate) {
        this.layerEndDate = layerEndDate;
    }


    public Date getEffectDate() {
        return effectDate;
    }

    public void setEffectDate(Date effectDate) {
        this.effectDate = effectDate;
    }

    public Boolean getAppend() {
        return append;
    }

    public void setAppend(Boolean append) {
        this.append = append;
    }
}
