/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.model.plan;

import com.abssqr.plat.common.facade.enums.DebtMoneyFieldEnum;
import com.abssqr.plat.common.facade.model.rule.TradePriceRule;
import com.general.system.common.model.BaseEntity;

import java.math.BigDecimal;

/**
 * 资产转让分润交易定价规则
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.domain.plan: PlanAstPriceRule.java, v 0.1 2019-11-07 11:30 AM xiachenxiang Exp $ 
 */
public class PlanAstPriceRule extends BaseEntity implements TradePriceRule<Long> {
    /**
     * termNo 期次.
     */
    private Long termNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * intrDiscountRate 利息折价率.
     */
    private BigDecimal intrDiscountRate;
    
    
    @Override
    public boolean getTradePriceRule(Long Condition) {
        return Condition.longValue() == this.termNo.longValue();
    }
    
    @Override
    public BigDecimal getTradeRate(DebtMoneyFieldEnum debt) {
        return intrDiscountRate;
    }
    
    @Override
    public Long getSort() {
        return termNo;
    }
    
    
    public Long getTermNo() {
        return termNo;
    }

    public void setTermNo(Long termNo) {
        this.termNo = termNo;
    }

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public BigDecimal getIntrDiscountRate() {
        return intrDiscountRate;
    }

    public void setIntrDiscountRate(BigDecimal intrDiscountRate) {
        this.intrDiscountRate = intrDiscountRate;
    }
    
    
}
