/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.ReportDimTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report: ReportEntity.java, v 0.1 2019-06-22 18:44 zhenxuan.luo Exp $
 */
public class ReportEntity extends BaseEntity {
    
    /**
     * 计划编号
     */
    private String            planNo;
    /**
     * 事件码
     */
    private EventCodeEnum     eventCode;
    /**
     * 统计维度
     */
    private ReportDimTypeEnum reportDimType;
    /**
     * 统计项
     */
    private ReportItem        reportItem;
    /**
     * 资产笔数变更
     */
    private int               astChg = 0;
    /**
     * 金额
     */
    private DebtMoney         amt    = new DebtMoney();
    /**
     * 成本
     */
    private Money cost = new Money();
    /**
     * 机构分润
     */
    private Money orgDistPftAmt = new Money();
    /**
     * 用户ID
     */
    private String            userId;
    /**
     * 资产编号
     */
    private String            astNo;
    /**
     * 会计日期
     */
    private Date              accountDate;
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getUserId() {
        return userId;
    }
    
    public void setUserId(String userId) {
        this.userId = userId;
    }
    
    public String getAstNo() {
        return astNo;
    }
    
    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }
    
    public EventCodeEnum getEventCode() {
        return eventCode;
    }
    
    public void setEventCode(EventCodeEnum eventCode) {
        this.eventCode = eventCode;
    }
    
    public ReportItem getReportItem() {
        return reportItem;
    }
    
    public void setReportItem(ReportItem reportItem) {
        this.reportItem = reportItem;
    }
    
    public int getAstChg() {
        return astChg;
    }
    
    public void setAstChg(int astChg) {
        this.astChg = astChg;
    }
    
    public DebtMoney getAmt() {
        return amt;
    }
    
    public void setAmt(DebtMoney amt) {
        this.amt = amt;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public ReportDimTypeEnum getReportDimType() {
        return reportDimType;
    }
    
    public void setReportDimType(ReportDimTypeEnum reportDimType) {
        this.reportDimType = reportDimType;
    }
    
    public Money getCost() {
        return cost;
    }
    
    public void setCost(Money cost) {
        this.cost = cost;
    }
    
    public Money getOrgDistPftAmt() {
        return orgDistPftAmt;
    }
    
    public void setOrgDistPftAmt(Money orgDistPftAmt) {
        this.orgDistPftAmt = orgDistPftAmt;
    }
}