/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: CashRpt.java, v 0.1 2019-07-01 00:55 zhenxuan.luo Exp $
 */
public class CashRpt extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 8633838712907807561L;
    
    /**
     * 期初余额
     */
    private BigDecimal preBal = BigDecimal.ZERO;
    /**
     * 总流入
     */
    private BigDecimal inAmt  = BigDecimal.ZERO;
    /**
     * 总流出
     */
    private BigDecimal outAmt = BigDecimal.ZERO;
    /**
     * 期末余额
     */
    private BigDecimal aftBal = BigDecimal.ZERO;
    
    public void combineAmt(CashRpt obj) {
        this.inAmt = this.inAmt.add(obj.getInAmt());
        this.outAmt = this.outAmt.add(obj.getOutAmt());
    }
    
    public void copyPre(CashRpt obj) {
        this.preBal = obj.getPreBal();
    }
    
    public void copyAft(CashRpt obj) {
        this.aftBal = obj.getAftBal();
    }
    
    public BigDecimal getPreBal() {
        return preBal;
    }
    
    public void setPreBal(BigDecimal preBal) {
        this.preBal = preBal;
    }
    
    public BigDecimal getInAmt() {
        return inAmt;
    }
    
    public void setInAmt(BigDecimal inAmt) {
        this.inAmt = inAmt;
    }
    
    public BigDecimal getOutAmt() {
        return outAmt;
    }
    
    public void setOutAmt(BigDecimal outAmt) {
        this.outAmt = outAmt;
    }
    
    public BigDecimal getAftBal() {
        return aftBal;
    }
    
    public void setAftBal(BigDecimal aftBal) {
        this.aftBal = aftBal;
    }
}