/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.rule;

import com.abssqr.plat.common.facade.enums.DebtMoneyFieldEnum;

import java.math.BigDecimal;

/**
 *
 * @author hanfei
 * @version $Id: TradePriceRule.java, v 0.1 2020-02-12 4:25 PM hanfei Exp $ 
 */
public interface TradePriceRule<Condition extends Comparable> {
    
    /**
     * 根据条件获取规则
     * @param condition
     * @return
     */
    boolean getTradePriceRule(Condition condition);
    /**
     * 获取定价比例
     * @param debt
     * @return
     */
    BigDecimal getTradeRate(DebtMoneyFieldEnum debt);
    
    /**
     * 排序字段
     */
    Condition getSort();
}
