/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.ast;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.AstPackStatusEnum;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.param.ast.sub.AstScreenRuleParam;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;
import com.general.system.common.model.Money;

import java.util.ArrayList;
import java.util.List;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.ast: AstPaclOprParam.java, v 0.1 2020-04-18 3:31 PM xiachenxiang Exp $
 */
public class AstPackQryParam extends BasePageQryParam {

    /**
     * 资产包编号
     */
    private String packNo;

    /**
     * 资产包名
     */
    private String packName;

    /**
     * 状态
     */
    @VldEnums(enumClass = AstPackStatusEnum.class,message = "不支持的状态类型",nullable = true)
    private String status;

    public String getPackNo() {
        return packNo;
    }

    public void setPackNo(String packNo) {
        this.packNo = packNo;
    }

    public String getPackName() {
        return packName;
    }

    public void setPackName(String packName) {
        this.packName = packName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }
}
