/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.ast;

import java.util.Date;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldDate;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.ast: AstPackSealOprParam.java, v 0.1 2020-04-21 13:41 bangis.wangdf Exp $
 */
public class AstPackSealOprParam extends BaseOprParam {
    /**
     * 资产包编号
     */
    @VldString(message = "资产包编号不能为空")
    private String packNo;
    @VldDate(message = "封包日不能为空")
    private Date sealPackDate;

    public String getPackNo() {
        return packNo;
    }

    public void setPackNo(String packNo) {
        this.packNo = packNo;
    }

    public Date getSealPackDate() {
        return sealPackDate;
    }

    public void setSealPackDate(Date sealPackDate) {
        this.sealPackDate = sealPackDate;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
