package com.abssqr.plat.common.facade.param.astPool;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

public class AstPoolOprParam extends BaseOprParam{
    @VldString(maxLength = 30)
    private String astPoolName;

    @VldEnums(enumClass= AstTypeEnum.class,message = "不支持的资产类型")
    private String astType;

    @VldString(nullable = true,maxLength = 30)
    private String prodNo;

    public String getAstPoolName() {
        return astPoolName;
    }

    public void setAstPoolName(String astPoolName) {
        this.astPoolName = astPoolName;
    }

    public String getAstType() {
        return astType;
    }

    public void setAstType(String astType) {
        this.astType = astType;
    }

    public String getProdNo() {
        return prodNo;
    }

    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
}
