/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.sub;

import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeTimeTypeEnum;
import com.abssqr.plat.common.facade.enums.FinSerFeeTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 费用结构
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.sub: FeeStructureParam.java, v 0.1 2019-05-30 15:06 bangis.wangdf Exp $
 */
public class FeeStructureParam extends BaseEntity implements Serializable {
    private static final long              serialVersionUID = -8054344184679429967L;
    /**
     * 费用编号
     */
    private              String            feeNo;
    /**
     * 费用名称
     */
    private String     feeName;
    /**
     * 计费时间类型
     */
    @VldEnums(enumClass = FeeTimeTypeEnum.class)
    private String     feeTimeType;
    /**
     * 计算方式 : 固定金额  比例金额  年化费率
     */
    @VldEnums(enumClass = CalcTypeEnum.class)
    private              String            feeCalcType;
    /**
     * 固定费用
     */
    private              String            fixedFeeAmt;
    /**
     * 费率基准
     */
    @VldEnums(enumClass = FeeScaleTypeEnum.class,nullable = true)
    private              String            feeScaleType;
    /**
     * 费率
     */
    private              BigDecimal        feeRate;
    /**
     * 按日计费
     */
    private              boolean           calcByDay;
    /**
     * 支付上限
     */
    private              String            payLimitAmt;
    /**
     * 金融服务费支付方式
     */
    @VldEnums(enumClass = FinSerFeeTypeEnum.class,nullable = true)
    private              String finSerFeeType;

    public String getFeeNo() {
        return feeNo;
    }

    public void setFeeNo(String feeNo) {
        this.feeNo = feeNo;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }

    public String getFeeTimeType() {
        return feeTimeType;
    }

    public void setFeeTimeType(String feeTimeType) {
        this.feeTimeType = feeTimeType;
    }

    public String getFeeCalcType() {
        return feeCalcType;
    }

    public void setFeeCalcType(String feeCalcType) {
        this.feeCalcType = feeCalcType;
    }

    public String getFixedFeeAmt() {
        return fixedFeeAmt;
    }

    public void setFixedFeeAmt(String fixedFeeAmt) {
        this.fixedFeeAmt = fixedFeeAmt;
    }

    public String getFeeScaleType() {
        return feeScaleType;
    }

    public void setFeeScaleType(String feeScaleType) {
        this.feeScaleType = feeScaleType;
    }

    public BigDecimal getFeeRate() {
        return feeRate;
    }

    public void setFeeRate(BigDecimal feeRate) {
        this.feeRate = feeRate;
    }

    public boolean isCalcByDay() {
        return calcByDay;
    }

    public void setCalcByDay(boolean calcByDay) {
        this.calcByDay = calcByDay;
    }

    public String getPayLimitAmt() {
        return payLimitAmt;
    }

    public void setPayLimitAmt(String payLimitAmt) {
        this.payLimitAmt = payLimitAmt;
    }

    public String getFinSerFeeType() {
        return finSerFeeType;
    }

    public void setFinSerFeeType(String finSerFeeType) {
        this.finSerFeeType = finSerFeeType;
    }
}
