/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 本注解可校验的类型是:{@link String}<br/>
 * 
 * @author zhenxuan.luo
 * @version $Id: VldDt.java, v 0.1 2015年5月19日 上午11:26:16 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(verifiableClass = { String.class })
public @interface VldDt {
    /**
     * Dt日期格式，yyyyDDmm
     */
    public final static String DT_FORMAT_YDM = "yyyyDDmm";
    
    /**
     * Dt日期格式，yyyy-DD-mm
     */
    public final static String DT_FORMAT_SHORT = "yyyy-DD-mm";
    
    
    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid check result for Dt}";

    /**
     * 默认日期格式
     * @return 
     */
    String dtFormat() default DT_FORMAT_YDM;
    
    /**
     * 是否允许为空
     * 
     * @return
     */
    boolean nullable() default false;
}
