/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 本注解可校验的类型是:{@link Object}<br/>
 * 
 * @author zhenxuan.luo
 * @version $Id: VldNotNull.java, v 0.1 2015年5月18日 下午7:16:07 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(/*validatedBy = NotNullValidator.class,*/verifiableClass = { Object.class })
public @interface VldNotNull {
    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid check result for Object to NotNull}";
}
