/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.integration.notice.model;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.annotation.JSONField;
import com.general.system.common.model.BaseEntity;

import java.net.Proxy;

/**
 * 钉钉&微信
 * @author xiachenxiang
 * @version com.abssqr.plat.common.integration.notice.model: RobotRequest.java, v 0.1 2019-09-30 3:04 PM xiachenxiang Exp $
 */
public class RobotRequest extends BaseEntity {

    private String msgtype = "markdown";

    private Markdown markdown;
    // token
    @JSONField(serialize = false)
    private String url;
    // 告警类型
    @JSONField(serialize = false)
    private String type;
    
    /**
     * 代理配置
     */
    private Proxy proxy;

    public String getMsgtype() {
        return msgtype;
    }

    public void setMsgtype(String msgtype) {
        this.msgtype = msgtype;
    }

    public Markdown getMarkdown() {
        return markdown;
    }

    public void setMarkdown(Markdown markdown) {
        this.markdown = markdown;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setContent(String content){
        if (this.markdown != null) {
            this.markdown.setContent(content);
        }
    }

    public void setTitle(String title){
        if (this.markdown != null) {
            this.markdown.setTitle(title);
        }
    }

    public void clear(){
        if (this.markdown != null) {
            this.markdown.setTitle(null);
            this.markdown.setContent(null);
        }
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
    
    public Proxy getProxy() {
        return proxy;
    }
    
    public void setProxy(Proxy proxy) {
        this.proxy = proxy;
    }
}
