/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanAstProfitLogDO;
import com.abssqr.plat.common.facade.enums.DebtMoneyFieldEnum;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.loanTrans.LoanAstProfitLog;
import com.general.system.common.model.Money;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 *
 *
 * @author yaphet
 * @version com.abssqr.plat.common.model.convertor: LoanInstalConvert.java, v 0.1 2018-06-20 上午10:53 yaphet Exp $
 */
public class LoanAstProfitLogConvert {
    
    public static List<LoanAstProfitLogDO> convert2Dos(List<LoanAstProfitLog> vars) {
        
        List<LoanAstProfitLogDO> doList = Lists.newArrayList();
        
        if (CollectionUtils.isEmpty(vars)) {
            return doList;
        }
        
        for (LoanAstProfitLog log : vars) {
            doList.add(convert2Do(log));
        }
        
        return doList;
    }
    
    public static LoanAstProfitLogDO convert2Do(LoanAstProfitLog var) {
        
        if (null == var) {
            return null;
        }
    
        LoanAstProfitLogDO instance = new LoanAstProfitLogDO();
    
        instance.setAstNo(var.getAstNo());
        instance.setOutAstNo(var.getOutAstNo());
        instance.setBizNo(var.getBizNo());
        instance.setSeqNo(var.getSeqNo());
        instance.setOwnOrg(var.getOwnOrg());
        instance.setExecTms(var.getExecTms());
        instance.setExtInfo(var.getExtInfo());
        instance.setOutBizNo(var.getOutBizNo());
        instance.setEventCode(var.getEventCode().getCode());
        instance.setLoanAstNo(var.getLoanAstNo());
        instance.setTransCode(var.getEventCode().getSceneCode().getCode());
        instance.setProfitType(var.getProfitType().getCode());
        instance.setAstProfitNo(var.getAstProfitNo());
        instance.setSplitOrgCode(var.getSplitOrgCode());
        instance.setTermNo(var.getTermNo());
        instance.setSrcTermNo(var.getSrcTermNo());
        instance.setBizTermNo(var.getBizTermNo());
        instance.setTransTime(var.getTransTime());
        instance.setAccountDate(var.getAccountDate());
        instance.setMemo(var.getMemo());
    
        if (var.getEventCode().getSceneCode() == TransCodeEnum.REPO) {
            instance.setManagerOrgFeeAmt(var.calcManagerFee());
        } else {
            instance.setManagerOrgFeeAmt(new Money());
        }
        
        instance.setClrgAmt(var.getClrgAmt());
        
        instance.setIntrAmt(var.getAmt().getByFieldType(DebtMoneyFieldEnum.INTR));
        instance.setPrinPenalAmt(var.getAmt().getByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY));
        instance.setIntrPenalAmt(var.getAmt().getByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY));
        instance.setFeeAmt(var.getAmt().getByFieldType(DebtMoneyFieldEnum.FEE));
        instance.setFeePenalAmt(var.getAmt().getByFieldType(DebtMoneyFieldEnum.FEE_PNY));
        instance.setOtherFeeAmt(var.getAmt().getByFieldType(DebtMoneyFieldEnum.OTHER_FEE));
    
        instance.setAfIntrBal(var.getAfBal().getByFieldType(DebtMoneyFieldEnum.INTR));
        instance.setAfPrinPenalBal(var.getAfBal().getByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY));
        instance.setAfIntrPenalBal(var.getAfBal().getByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY));
        instance.setAfFeeBal(var.getAfBal().getByFieldType(DebtMoneyFieldEnum.FEE));
        instance.setAfFeePenalBal(var.getAfBal().getByFieldType(DebtMoneyFieldEnum.FEE_PNY));
        instance.setAfOtherFeeBal(var.getAfBal().getByFieldType(DebtMoneyFieldEnum.OTHER_FEE));
    
        instance.setFundIntrAmt(var.getFundAmt().getByFieldType(DebtMoneyFieldEnum.INTR));
        instance.setFundPrinPenalAmt(var.getFundAmt().getByFieldType(DebtMoneyFieldEnum.PRIN_ODUE_PNY));
        instance.setFundIntrPenalAmt(var.getFundAmt().getByFieldType(DebtMoneyFieldEnum.INTR_ODUE_PNY));
        instance.setFundFeeAmt(var.getFundAmt().getByFieldType(DebtMoneyFieldEnum.FEE));
        instance.setFundFeePenalAmt(var.getFundAmt().getByFieldType(DebtMoneyFieldEnum.FEE_PNY));
        instance.setFundOtherFeeAmt(var.getFundAmt().getByFieldType(DebtMoneyFieldEnum.OTHER_FEE));
        instance.setMemo(var.getMemo());
        return instance;
    }
    
}
