/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorDO;
import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.abssqr.plat.common.facade.model.plan.PlanMonitor;

import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.convertor: PlanMonitorConvertor.java, v 0.1 2019-05-28 15:11 zhenxuan.luo Exp $ 
 */
public class PlanMonitorConvertor {
    
    public static PlanMonitor convert2Domain(PlanMonitorDO var) {
        
        if (var == null) {
            return null;
        }
        
        PlanMonitor res = new PlanMonitor();
        res.setId(var.getId());
        res.setPlanNo(var.getPlanNo());
        res.setIndicator(PlanIndicatorEnum.getByCode(var.getIndicator()));
        res.setName(var.getName());
        res.setValue(var.getValue());
        res.setGmtCreate(var.getGmtCreate());
        return res;
    }
    
    public static PlanMonitorDO convert2DO(PlanMonitor var) {
        
        if (var == null) {
            return null;
        }
        
        PlanMonitorDO res = new PlanMonitorDO();
        res.setPlanNo(var.getPlanNo());
        if(var.getIndicator()!=null) {
            res.setIndicator(var.getIndicator().getCode());
        }
        res.setName(var.getName());
        res.setValue(var.getValue());
        return res;
    }
}