/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.model.convertor.vo;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanDO;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstPackItem;
import com.abssqr.plat.common.facade.enums.AstPackStatusEnum;
import com.abssqr.plat.common.facade.result.ast.LoanListVO;
import com.abssqr.plat.common.facade.result.pack.AstPackListVO;
import com.abssqr.plat.common.model.domain.contract.LoanContract;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.convertor.vo: AstPackListVOConvert.java, v 0.1 2020-04-20 4:29 PM xiachenxiang Exp $
 */
public class AstPackListVOConvert {

    public static List<AstPackListVO> convert2VOList(List<AstPackItem> params){
        List<AstPackListVO> result = Lists.newArrayList();
        if (CollectionUtils.isNotEmpty(params)){
            params.forEach(param->result.add(convert2VO(param)));
        }
        return result;
    }
    public static AstPackListVO convert2VO(AstPackItem param) {
        if (param == null) {
            return null;
        }
        AstPackListVO result = new AstPackListVO();
        result.setPackNo(param.getPackNo());
        result.setPackName(param.getPackName());
        result.setAvalAmt(param.getAvalAmt());
        // init状态在前端显示为筛选中
        AstPackStatusEnum status = AstPackStatusEnum.getByCode(param.getStatus());
        result.setStatus(status==AstPackStatusEnum.INIT?AstPackStatusEnum.EXEC:status);
        return result;
    }
}