/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.general.system.core.common.constant.state.NoticeType;

import java.util.Date;
import java.util.Set;

/**
 *
 * @author hanfei
 * @version $Id: AbssqrNotice.java, v 0.1 2019-07-26 3:16 PM hanfei Exp $ 
 */
public class AbssqrNotice {
    
    /**
     * 主键
     */
    private Long id;
    /**
     * 消息id
     */
    private Long noticeId;
    /**
     * 关联业务编号
     */
    private String bizCode;
    /**
     * 关联计划编号
     */
    private String planNo;
    /**
     * 关联计划名称
     */
    private String planName;
    /**
     * 关联业务类型
     */
    private String bizType;
    /**
     * 关联业务类型 title
     */
    private String bizTypeName;
    /**
     * content 内容.
     */
    private String content;
    /**
     * gmtCreate .
     */
    private Date gmtCreate;
    /**
     * 是否全体
     */
    @JSONField(serialize = false, deserialize = false)
    private Boolean whole = false;
    /**
     * 收件人
     */
    @JSONField(serialize = false, deserialize = false)
    private Set<String> receivers;
    /**
     * 消息类型 默认系统发送
     */
    @JSONField(serialize = false, deserialize = false)
    private NoticeType type = NoticeType.SYSTEM;
    
    
    public String getBizCode() {
        return bizCode;
    }
    
    public void setBizCode(String bizCode) {
        this.bizCode = bizCode;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public String getBizType() {
        return bizType;
    }
    
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }
    
    public String getContent() {
        return content;
    }
    
    public void setContent(String content) {
        this.content = content;
    }
    
    public Boolean getWhole() {
        return whole;
    }
    
    public void setWhole(Boolean whole) {
        this.whole = whole;
    }
    
    public Set<String> getReceivers() {
        return receivers;
    }
    
    public void setReceivers(Set<String> receivers) {
        this.receivers = receivers;
    }
    
    public NoticeType getType() {
        return type;
    }
    
    public void setType(NoticeType type) {
        this.type = type;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getBizTypeName() {
        return bizTypeName;
    }
    
    public void setBizTypeName(String bizTypeName) {
        this.bizTypeName = bizTypeName;
    }
    
    public Date getGmtCreate() {
        return gmtCreate;
    }
    
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    
    public Long getId() {
        return id;
    }
    
    public void setId(Long id) {
        this.id = id;
    }
    
    public Long getNoticeId() {
        return noticeId;
    }
    
    public void setNoticeId(Long noticeId) {
        this.noticeId = noticeId;
    }
}
