/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.astSync;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.util.DateTimeUtil;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.astclient.base: BaseEntity.java, v 0.1 2019-06-07 04:17 zhenxuan.luo Exp $ 
 */
public abstract class BaseAstEntity extends BaseEntity {
    
    /**
     * 管理机构号
     */
    private String managerOrgCode;
    
    /**
     * 放款机构号
     */
    private String lenderOrgCode;
    
    /**
     * 资产编号
     */
    private String outAstNo;
    
    /**
     * 业务会计日期
     */
    private Date accountDate;
    
    /**
     * 资产端入库日期
     */
    private Date syncDate;
    
    /**
     * 产品编码
     */
    private String prodNo;
    
    public Date getDayBeginAccountDate() {
        return DateTimeUtil.addDays(this.accountDate, 1);
    }
    
    public String getManagerOrgCode() {
        return managerOrgCode;
    }
    
    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }
    
    public String getLenderOrgCode() {
        return lenderOrgCode;
    }
    
    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }
    
    public Date getAccountDate() {
        return accountDate;
    }
    
    public void setAccountDate(Date accountDate) {
        this.accountDate = accountDate;
    }
    
    public Date getSyncDate() {
        return syncDate;
    }
    
    public void setSyncDate(Date syncDate) {
        this.syncDate = syncDate;
    }
    
    public String getOutAstNo() {
        return outAstNo;
    }
    
    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }
    
    public String getProdNo() {
        return prodNo;
    }
    
    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }
}