/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.plan;

import com.abssqr.plat.common.facade.model.plan.PlanAlloc;
import com.general.system.common.model.Money;

import java.util.Date;

/**
 *
 * @author hanfei
 * @version $Id: PlanAllocFrozen.java, v 0.1 2019-07-06 6:46 PM hanfei Exp $ 
 */
public class PlanAllocFrozen {
    
    /**
     * frozenCash 当前冻结资金余额.
     */
    private Money  frozenCash = new Money();
    /**
     * lastFrozenCash 变更前冻结资金.
     */
    private Money  lastFrozenCash = new Money();
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * allocNo 分配计划编号.
     */
    private String allocNo;
    /**
     * lastUpdateDate 最近变更会计日.
     */
    private Date   lastUpdateDate;
    
    public static PlanAllocFrozen createNewFrozen(Date curDate, PlanAlloc alloc) {
        PlanAllocFrozen allocFrozen = new PlanAllocFrozen();
        allocFrozen.setPlanNo(alloc.getPlanNo());
        allocFrozen.setAllocNo(alloc.getAllocNo());
        allocFrozen.setLastUpdateDate(curDate);
        return allocFrozen;
    }
    
    
    public Money getFrozenCash() {
        return frozenCash;
    }
    
    public void setFrozenCash(Money frozenCash) {
        this.frozenCash = frozenCash;
    }
    
    public Money getLastFrozenCash() {
        return lastFrozenCash;
    }
    
    public void setLastFrozenCash(Money lastFrozenCash) {
        this.lastFrozenCash = lastFrozenCash;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getAllocNo() {
        return allocNo;
    }
    
    public void setAllocNo(String allocNo) {
        this.allocNo = allocNo;
    }
    
    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }
    
    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }
    
    
}
