/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 报表类型枚举类
 *
 * @author zhenhua.guo
 * @version $Id: ReportAstStatTypeEnum.java, v 0.1 2017-06-07 下午18:38 zhenhua.guo Exp $
 */
public enum OvdDaysTypeEnum implements IEnum {
    
    OD01("OD01", "OD01"),
    
    OD02("OD02", "OD02"),
    
    OD03("OD03", "OD03"),
    
    OD04("OD04", "OD04"),
    
    OD05("OD05", "OD05"),
    
    OD06("OD06", "OD06"),
    
    OD07("OD07", "OD07"),
    
    OD08("OD08", "OD08"),
    
    ;

    private static final Map<String, OvdDaysTypeEnum> codeMap = new HashMap<String, OvdDaysTypeEnum>();

    static {
        for (OvdDaysTypeEnum item : OvdDaysTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private OvdDaysTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static OvdDaysTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}