/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 目前暂时支持四类操作按钮
 * @author hanfei
 * @version $Id: WorkOrderBtnEnum.java, v 0.1 2019-06-26 4:21 PM hanfei Exp $ 
 */
public enum  WorkOrderBtnEnum implements IEnum {
    
    revoke("revoke", "撤销"),
    
    complete("complete", "通过"),
    
    rollback("rollback", "退回"),
    
    refuse("refuse", "拒绝"),
    
    ;
    
    private static final Map<String, WorkOrderBtnEnum> codeMap = new HashMap<>();
    
    static {
        for (WorkOrderBtnEnum item : WorkOrderBtnEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    WorkOrderBtnEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static WorkOrderBtnEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}
