/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.acct;

import com.abssqr.plat.common.facade.enums.AccountAttributeEnum;
import com.abssqr.plat.common.facade.enums.AccountTypeEnum;
import com.abssqr.plat.common.facade.model.account.Account;

import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.repo.acctday: AcctRepo.java, v 0.1 2019-06-22 14:38 bangis.wangdf Exp $
 */
public interface AcctRepo {
    /**
     * 新增or编辑银行账号
     *
     * @param planNo
     * @param accounts
     */
    void addOrUpdateAccounts(String planNo, List<Account> accounts);

    
    /**
     * 获取指定类型的账号
     *
     * @param planNo
     * @param accountTypes
     * @return
     */
    List<Account> getAcctByPlanNo(String planNo, AccountAttributeEnum acctAttr, List<AccountTypeEnum> accountTypes);
    
    /**
     * 获取指定类型账户
     * @param entityCode
     * @param actType
     * @return
     */
    List<Account> selectByEntityCodeAndType(String entityCode, String actType);

    /**
     * 根据机构编号删除账号
     * @param entityCode
     * @return
     */
    int deleteByEntityCode(String entityCode);

    Account getAcctsByAccountNo(String accountNo);
}
