/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.ast;

import java.util.Date;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPackDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.AstPackPagePage;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanPackRelSummary;
import com.abssqr.plat.common.facade.param.ast.AstPackQryParam;
import com.abssqr.plat.common.model.domain.ast.AstPack;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.repo.ast: AstPackRepository.java, v 0.1 2020-04-18 3:15 PM xiachenxiang Exp $ 
 */
public interface AstPackRepo {
    /**
     * 根据唯一约束AbsPackPackNo获取数据
     */
    AstPack getByAbsPackPackNo(String packNo);
    /**
     * 根据资产包名查询数量
     */
    Long cntByPackName(String packName);

    /**
     * 新增资产池
     * @param pack
     * @return
     */
    int insert(AstPack pack);

    /**
     * 分页获取资产包
     * @param param
     * @return
     */
    AstPackPagePage getList(AstPackQryParam param);

    /**
     * 汇总资产包情况
     * @param packNo
     */
    LoanPackRelSummary sumAstPack(String packNo);

    /**
     * 封包
     * @param packNo 包编号
     * @param packSubmitDate 封包提交日
     * @param sealPackDate 封包日
     */
    void sealPack(String packNo, Date packSubmitDate, Date sealPackDate);
}
