/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.ast;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstScale;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;

import java.util.Date;
import java.util.List;

/**
 * loanbak 统计使用
 * @author hanfei
 * @version $Id: LoanBakRepo.java, v 0.1 2019-12-05 11:15 AM hanfei Exp $ 
 */
public interface LoanBakRepo {
    
    List<PlanAstReportStat> statLoanBakStatus(Date accountDate, String planNo);
    
    List<PlanAstReportStat> statLoanBakClz(Date accountDate, String planNo);
    
    List<PlanAstReportStat> statLoanBakOvdWtf(Date accountDate, String planNo, String statVal, String statType,
                                              String wtfStatus, Integer ovdDays);
    
    List<PlanAstReportStat> statLoanBakOvdDays(Date accountDate, String planNo);
    
    List<PlanAstReportStat> statSpvProfit(Date disbDate, Date accountDate, String planNo);
    
    List<PlanAstReportStat> statPlanProfit(Date inDate, Date accountDate, String planNo);

    /**
     * 获取资产规模
     * @param accountDate
     * @param planNo
     * @return
     */
    List<AstScale> getAstScale(Date accountDate, String planNo);
}
