/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.astPool.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.AstPoolDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPoolDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.AstPoolPage;
import com.abssqr.plat.common.facade.param.astPool.AstPoolPageQryParam;
import com.abssqr.plat.common.model.convertor.AstPoolConvert;
import com.abssqr.plat.common.model.domain.ast.AstPoolEntity;
import com.abssqr.plat.common.model.repo.astPool.AstPoolRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.astPool: AstPoolRepositoryImpl.java, v 0.1 2018-01-07 下午1:12 guozhenhua Exp $
 */
@Component
public class AstPoolRepositoryImpl implements AstPoolRepository {


    @Autowired
    private AstPoolDAO astPoolDAO;

    @Override
    public  int  create(AstPoolEntity astPoolEntity) {
        return astPoolDAO.insert(AstPoolConvert.convert2DO(astPoolEntity));
    }

    @Override
    public AstPoolPage getPage(AstPoolPageQryParam astPoolPageQryParam) {
        String astPoolName = astPoolPageQryParam.getAstPoolName();
        AstPoolPage astPoolPage=new AstPoolPage();
        astPoolPage.setAstPoolName(astPoolName);
        AstPoolPage page = astPoolDAO.getPage(astPoolPage);
        return page;
    }

    @Override
    public AstPoolEntity getByAstPoolNo(String astPoolNo) {
        AstPoolDO astPoolDO = astPoolDAO.getByNo(astPoolNo);
        return AstPoolConvert.convert2Domain(astPoolDO);
    }

    @Override
    public boolean checkAstPool(AstPoolEntity astPoolEntity) {
        Long dupliCnt = astPoolDAO.getDupliCnt(astPoolEntity.getProdNo(),astPoolEntity.getAstPoolName());
        if(dupliCnt!=null&&dupliCnt>1){
            return false;
        }
        return true;
    }


}
