/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.clearing;

import com.abssqr.plat.common.dal.base.StatEntity;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.ClearingLogCntAndId;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanClearingLogStat;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.clearing.PlanClearingLog;
import com.general.system.common.model.Money;

import java.util.Date;
import java.util.List;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.clearing: PlanClearingLogRepo.java, v 0.1 2019-06-10 00:26 zhenxuan.luo Exp $
 */
public interface PlanClearingLogRepo {

    /**
     * 新建一条清算流水
     *
     * @param planClearingLogs
     * @return
     */
    int createBatch(List<PlanClearingLog> planClearingLogs);

    List<LoanClearingLogStat> clearingLogStat(Date accountDate, Long maxId, Long minId, String planNo, String execTms);

    int deleteStated(Date accountDate, Long maxId, Long minId, String planNo, String execTms);

    StatEntity getStatInx(Date accountDate, String planNo, String execTms);

    Date getMinUnStateAccountDate(String planNo, TransCodeEnum transCode);

    void backStated(String clearingSeqNo, String execTms, LoanClearingLogStat statRes);

    Long cntInitClearingLogByPlanNo(String planNo);

    Long cntInitClearingLog(TransCodeEnum transCode);
    /**
     * 获取计划最大id和总数
     *
     * @param accountDate 会计日
     * @param planNo      计划编号
     * @param transCode   交易码
     * @return ClearingLogCntAndId
     */
    ClearingLogCntAndId getHisMaxIdAndCnt(Date accountDate, String planNo, TransCodeEnum transCode);

    /**
     * 获取计划清算流水总额
     *
     * @param accountDate 会计日
     * @param planNo      计划编号
     * @param transCode   交易码
     * @return
     */
    Money getHisAmtByPlanNo(Date accountDate, String planNo, TransCodeEnum transCode);

    /**
     * 获取计划清算流水总额
     * @param accountDate 会计日
     * @param cntPtyCode 对手方编号
     * @param transCode 交易码
     * @return
     */
    Money getClearAmtByCntPtyCode(Date accountDate,String cntPtyCode,TransCodeEnum transCode);
}