/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.model.domain.plan.PlanAllocFrozen;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAllocFrozenRepo.java, v 0.1 2019-07-06 6:43 PM hanfei Exp $ 
 */
public interface PlanAllocFrozenRepo {
    
    int insert(PlanAllocFrozen entity);
    
    int insertBatch(List<PlanAllocFrozen> list);
    
    int update(PlanAllocFrozen entity);
    
    int deleteByAllocNo(String planNo, String allocNo);
    /**
     * 获取分配计划的冻结信息
     * @param planNo planNo
     * @param allocNo allocNo
     * @return PlanAllocFrozenDO
     */
    PlanAllocFrozen getByAllocNo(String planNo, String allocNo);
    
    /**
     * 查询计划所有分配冻结信息
     * @param planNo
     * @return
     */
    List<PlanAllocFrozen> getByPlanNo(String planNo);
}
