/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstLogAmt;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanStatItem;
import com.abssqr.plat.common.facade.enums.StageChangeTypeEnum;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.domain.plan.PlanAstLog;

import java.util.Date;
import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAstLogRepository.java, v 0.1 2018-01-05 下午2:50 hanfei Exp $
 */
public interface PlanAstLogRepository {
    /**
     * desc:插入计划资产水位变更流水.<br/>
     * @param planAstLog planAstLog
     * @return boolean
     */
    int create(PlanAstLog planAstLog);
    
    int createBatch(List<PlanAstLog> logs);
    /**
     *
     * @param endDate
     * @param startDate
     * @param planNo
     * @param transCode
     * @return
     */
    List<PlanStatItem> getStatByTransCode(Date endDate, Date startDate, String planNo, TransCodeEnum transCode, StageChangeTypeEnum changeType);
    
    /**
     *
     * @param accountDate
     * @param planNo
     * @return
     */
    List<PlanStatItem> getAstLogStat(Date accountDate, String planNo);


    /**
     * 获取水位变化总额
     * @param accountDate 会计日
     * @param planNo 计划编号
     * @param transCode 交易码
     * @return
     */
    List<AstLogAmt> getAmtByPlanNo(Date accountDate, String planNo, TransCodeEnum transCode);
}
