/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanAstLogDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstLogDO;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstLogAmt;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanStatItem;
import com.abssqr.plat.common.facade.enums.StageChangeTypeEnum;
import com.abssqr.plat.common.facade.enums.TransCodeEnum;
import com.abssqr.plat.common.model.convertor.PlanAstLogConvert;
import com.abssqr.plat.common.model.domain.plan.PlanAstLog;
import com.abssqr.plat.common.model.repo.plan.PlanAstLogRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAstLogRepositoryImpl.java, v 0.1 2018-01-05 下午2:50 hanfei Exp $
 */
@Repository
public class PlanAstLogRepositoryImpl implements PlanAstLogRepository {
    
    @Autowired
    private PlanAstLogDAO planAstLogDAO;
    
    /**
     * desc:插入计划资产水位变更流水.<br/>
     * @param request request
     * @return boolean
     */
    @Override
    public int create(PlanAstLog request) {
        PlanAstLogDO entity = PlanAstLogConvert.convert2DO(request);
        return planAstLogDAO.insert(entity);
    }
    
    @Override
    public int createBatch(List<PlanAstLog> logs) {
        return planAstLogDAO.insertBatch(PlanAstLogConvert.convert2DOs(logs));
    }
    
    @Override
    public List<PlanStatItem> getStatByTransCode(Date endDate, Date startDate, String planNo, TransCodeEnum transCode, StageChangeTypeEnum changeType) {
        return planAstLogDAO.getStatByTransCode(endDate, startDate, planNo, transCode.getCode(), changeType.getCode());
    }
    
    @Override
    public List<PlanStatItem> getAstLogStat(Date accountDate, String planNo) {
        return planAstLogDAO.getAstLogStat(accountDate, planNo);
    }

    @Override
    public List<AstLogAmt> getAmtByPlanNo(Date accountDate, String planNo, TransCodeEnum transCode){
        return planAstLogDAO.getAmtByPlanNoAndActDateAndTransCode(accountDate, planNo, transCode==null?null:transCode.getCode());
    }
}
