package com.abssqr.plat.common.util.convert.copier;


import com.general.system.common.model.IEnum;
import com.general.system.common.model.Money;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.common.util.IEnumUtil;
import org.apache.commons.lang3.StringUtils;
import org.springframework.cglib.core.Converter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * bean转换convert
 * <p/>
 *
 * @author bangis.wangdf
 * @date 16/6/29.15:38
 */
public class BeanCopierConvert {
    /**
     * 基础数据类型 转换成 IEnum数据类型
     *
     * @return
     */
    public static Converter converter() {
        return new Converter() {
            @Override
            public Object convert(Object value, Class target, Object context) {
                //源类型!=目标类型
                if (value != null && value.getClass() != target) {

                    //源=String
                    if (value instanceof String) {
                        //目标 = IEnum
                        if (instanceOf(target, IEnum.class)) {
                            return IEnumUtil.getEnum(target, value.toString());
                        }



                        //目标 Date
                        if (target == Date.class) {
                            if (DateTimeUtil.parseInTolerance(value.toString()) != null) {
                                return DateTimeUtil.parseInTolerance(value.toString());
                            }
                            if (StringUtils.contains(context.toString(), "Time")) {
                                return DateTimeUtil.parseFromYMDHMS(value.toString());

                            } else {
                                return DateTimeUtil.parseFromYMD(value.toString());
                            }
                        }


                        // 目标 Integer
                        if (target == Integer.class) {
                            return Integer.valueOf(value.toString());
                        }

                        // 目标 Long
                        if (target == Long.class) {
                            return Long.valueOf(value.toString());
                        }


                        // 目标 BigDecimal
                        if (target == BigDecimal.class) {
                            return new BigDecimal(value.toString());
                        }

                        //目标 Date
                        if (target == Money.class) {
                            return new Money(value.toString());
                        }
                    }


                    if (value instanceof Money) {
                        // 目标 Integer
                        if (target == Long.class) {
                            return Long.valueOf(((Money) value).getCent());
                        }
                    }

                    //bigdecimal转money
                    if (value instanceof BigDecimal) {
                        if (target == Money.class) {
                            return new Money(value.toString());
                        }
                    }
                    //long转bolean
                    if (value instanceof Long) {
                        if (target == Boolean.class) {
                            return (Long) value == 0 ? false : true;
                        }
                    }


                    if (value instanceof Long) {
                        // 目标 Integer
                        if (target == Money.class) {
                            Money money = new Money();
                            money.setCent((Long) value);
                            return money;
                        }
                    }


                    //目标 String
                    if (target == String.class) {
                        //源=IEnum
                        if (value instanceof IEnum) {
                            return ((IEnum) value).getCode();
                        }
                        //源=Date
                        if (value instanceof Date) {

                            if (StringUtils.contains(context.toString(), "Time")) {
                                return DateTimeUtil.formatYMDHMSShort((Date) value);
                            } else {
                                return DateTimeUtil.formatYMD((Date) value);
                            }
                        }

                        //源=Long
                        if (value instanceof Long) {
                            return Long.valueOf((Long) value);
                        }
                        //源=Integer
                        if (value instanceof Integer) {
                            return Integer.valueOf((Integer) value);
                        }
                    }


                }
                return value;
            }
        };
    }

    protected static boolean instanceOf(Class source, Class target) {
        return source.getInterfaces().length > 0 && source.getInterfaces()[0].equals(target);
    }
}
