package com.abssqr.plat.common.util.utils;

import cn.hutool.core.collection.CollectionUtil;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class FileType {

	public static final String JPG = "JPG";
	
	private static final Map<String, String> types = new HashMap<String, String>(){{
		
		put( FileType.JPG, ".jpg" );
		
	}};
	
	public static String getSuffix ( String key ) {
		return FileType.types.get( key );
	}
	
	/**
	 * 根据给定的文件名,获取其后缀信息
	 * @param filename
	 * @return
	 */
	public static String getSuffixByFilename ( String filename ) {
		
		return filename.substring( filename.lastIndexOf( "." ) ).toLowerCase();
		
	}

	public static List<String> IMG = CollectionUtil.newArrayList(".png", ".jpg", ".jpeg", ".gif", ".bmp");

	public static List<String> VIDEO = CollectionUtil
                                               .newArrayList(".flv", ".swf", ".mkv", ".avi", ".rm", ".rmvb", ".mpeg", ".mpg",
			".ogg", ".ogv", ".mov", ".wmv", ".mp4", ".webm", ".mp3", ".wav", ".mid");

	public static boolean isImg(String suffix) {
		return IMG.contains(suffix);
	}

	public static boolean isPDF(String suffix) {
		return ".pdf".contains(suffix.toLowerCase());
	}

    public static boolean isVIDEO(String suffix) {
		return VIDEO.contains(suffix.toLowerCase());
    }
}
