/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.util.utils;

import com.google.common.base.Function;
import com.google.common.base.Predicate;
import com.google.common.collect.Iterables;
import com.google.common.collect.Lists;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * list 工具类
 * @author guozhenhua
 * @version com.abssqr.plat.common.util: ListUtil.java, v 0.1 2017-12-21 下午5:38 guozhenhua Exp $
 */
public class ListUtil<T> {
    
    /**
     * 过滤List中的元素，返回新List
     *
     * @param oriList
     * @param predicate
     * @param <T>
     * @return
     */
    public static <T> List<T> filter(List<T> oriList, Predicate<T> predicate) {
        
        if (CollectionUtils.isEmpty(oriList)) {
            return Lists.newArrayList();
        }
        
        List<T> list = Lists.newArrayList(Iterables.filter(oriList, predicate));
        
        return list;
    }
    
    /**
     * 对List中的对象进行转换，返回新List
     * List中对象是否替换依赖Function实现
     *
     * @param oriList
     * @param function
     * @param <A>
     * @param <B>
     * @return
     */
    public static <A, B> List<B> transForm(List<A> oriList, Function<A, B> function) {
        return Lists.newArrayList(Lists.transform(oriList, function));
    }
    
}
