/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.core.service.util;

import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.google.common.collect.Lists;

import java.util.List;

/**
 * 风险等级
 * @author guozhenhua
 * @version com.abssqr.plat.core.service.util: AstRiskClassUtil.java, v 0.1 2018-03-28 下午4:59 guozhenhua Exp $ 
 */
public class AstRiskClassUtil {

    // 应计
    private  final  static List<AstRiskClassEnum> ACCR_AST_CLZ =Lists.newArrayList(AstRiskClassEnum.NORMAL,AstRiskClassEnum.ATTENTION);

    // 非应计
    private final static List<AstRiskClassEnum> IN_ACCR_AST_CLZ = Lists.newArrayList(
            AstRiskClassEnum.SECONDARY,
            AstRiskClassEnum.SUSPICIOUS,
            AstRiskClassEnum.LOSS);


    // 逾期
    private  final  static List<AstRiskClassEnum> OVD_AST_CLZ =Lists.newArrayList(AstRiskClassEnum.ATTENTION,AstRiskClassEnum.SECONDARY,
            AstRiskClassEnum.SUSPICIOUS,
            AstRiskClassEnum.LOSS);


    private  final  static List<AstRiskClassEnum> DE_AST_CLZ =Lists.newArrayList(AstRiskClassEnum.ATTENTION,AstRiskClassEnum.SECONDARY,
            AstRiskClassEnum.SUSPICIOUS,
            AstRiskClassEnum.LOSS);

    /**
     * 判断是应计贷款
     * @param astRiskClassEnum
     * @return
     */
    public static boolean  checkIsAccur(AstRiskClassEnum astRiskClassEnum){
        return  ACCR_AST_CLZ.contains(astRiskClassEnum);
    }

    /**
     * 判断是否逾期贷款
     * @param astRiskClassEnum
     * @return
     */
    public static boolean  checkIsOvd(AstRiskClassEnum astRiskClassEnum){
        return  OVD_AST_CLZ.contains(astRiskClassEnum);
    }
}
