/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.core.share.context;

import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.google.common.collect.Maps;

import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.loan.common.model.domain.transList: BizContextHolder.java, v 0.1 2018-12-14 AM04:31 zhenxuan.luo Exp $
 */
public class PlanContextHolder {
    
    /** 线程上下文 */
    private static ThreadLocal<PlanContext> HOLDER = ThreadLocal.withInitial(() -> new PlanContext());
    
    private PlanContextHolder() {
    }
    
    public static void putPlan(PlanBase plan) {
        HOLDER.get().getPlanMap().put(plan.getPlanNo(), plan);
    }
    
    public static PlanBase getPlan(String planNo) {
        return HOLDER.get().getPlanMap().get(planNo);
    }
    
    /**
     * 清理
     */
    public static void clear() {
        HOLDER.get().getPlanMap().clear();
        HOLDER.set(null);
        HOLDER.remove();
    }
    
    /**
     * 线程上下文数据定义
     */
    private static class PlanContext {
        
        private Map<String, PlanBase> planMap = Maps.newHashMap();
        
        public Map<String, PlanBase> getPlanMap() {
            return planMap;
        }
    }
    
}