/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.pack;

import com.abssqr.plat.common.facade.param.ast.AstPackOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackQryParam;
import com.abssqr.plat.common.facade.result.pack.AstPackVO;
import com.abssqr.plat.common.facade.service.ast.AstPackService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;

import com.alibaba.fastjson.JSON;
import com.general.system.common.util.VarChecker;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.pack: packAddUnitTest.java, v 0.1 2020-04-20 1:58 PM xiachenxiang Exp $
 */
public class PackAddUnitTest extends BaseAutoTests {

    @Autowired
    private AstPackService astPackService;

    @XTest(relatePath = "unittest/pack/add")
    @Test(dataProvider = "YamlDataProvider", description = "资产包新增")
    public void add(ICase iCase, AstPackOprParam packOprParam) {
        try {
            astPackService.edit(packOprParam);

            AstPackQryParam qryParam = new AstPackQryParam();
            qryParam.setPackNo(packOprParam.getPackNo());
            //
            AstPackVO astPackVO = astPackService.get(qryParam);
            VarChecker.checkNotNull(astPackVO);
            System.out.println(JSON.toJSONString(astPackVO));
            //
        } finally {
            // 校验数据
            super.checkDB(iCase);
           // super.clearDB(iCase);
        }
    }
}
