/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.pack;

import com.abssqr.plat.common.facade.param.ast.AstPackOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.pack.AstPackListVO;
import com.abssqr.plat.common.facade.service.ast.AstPackService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.alibaba.fastjson.JSON;
import com.general.system.common.util.VarChecker;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.Assert;
import org.testng.annotations.Test;

import java.util.List;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.pack: packAddUnitTest.java, v 0.1 2020-04-20 1:58 PM xiachenxiang Exp $
 */
public class PackgetListUnitTest extends BaseAutoTests {

    @Autowired
    private AstPackService astPackService;

    @XTest(relatePath = "unittest/pack/list")
    @Test(dataProvider = "YamlDataProvider", description = "资产包列表查询")
    public void list(ICase iCase, AstPackQryParam packQryParam,String checkStr,boolean ept) {
        try {
            BasePage<AstPackListVO> page = astPackService.getList(packQryParam);
            List<AstPackListVO> datas = page.getDatas();
            AstPackListVO astPackListVO = datas.get(0);
            checkEquals(astPackListVO,checkStr);
        }catch (Exception e){
            Assert.assertEquals(true, ept, "列表查询异常");
        }finally {
            // 校验数据
            super.clearDB(iCase);
            super.checkDB(iCase);
        }
    }

    private void checkEquals(AstPackListVO astPackListVO, String checkStr) {
        AstPackListVO checkVO = JSON.parseObject(checkStr, AstPackListVO.class);
        VarChecker.checkEquals(astPackListVO.getStatus(),checkVO.getStatus());
        VarChecker.checkEquals(astPackListVO.getPackNo(),checkVO.getPackNo());
        VarChecker.checkEquals(astPackListVO.getPackName(),checkVO.getPackName());
        VarChecker.checkEquals(astPackListVO.getAvalAmt(),checkVO.getAvalAmt());
    }
}
