/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.web.config.propertyeditors;

import com.general.system.common.util.DateTimeUtil;
import org.springframework.util.StringUtils;

import java.beans.PropertyEditorSupport;
import java.util.Date;

/**
 *
 */
public class CustomDateEditor extends PropertyEditorSupport {
    
    @Override
    public void setAsText(String text) throws IllegalArgumentException {
        if (!StringUtils.hasText(text)) {
            this.setValue((Object) null);
        } else {
            Date date = DateTimeUtil.parseInTolerance(text);
            this.setValue(date);
            if (date == null) {
                throw new IllegalArgumentException("Could not parse date: " + text);
            }
        }
        
    }
    
    @Override
    public String getAsText() {
        Date value = (Date) this.getValue();
        return value != null ? DateTimeUtil.formatYMDHMSSLong(value) : "";
    }

    static{
        System.currentTimeMillis();
    }
}
