CREATE TABLE ABS_LOAN_PACK_REL
(
  AST_NO VARCHAR2(64) NOT NULL
, PACK_NO VARCHAR2(64) NOT NULL
, STATUS VARCHAR2(16) NOT NULL
, REPAY_FINAL_DATE DATE
, BACK_NO VARCHAR2(64)
, BACK_COST NUMBER(20)
, BACK_PRIN NUMBER(20)
, BACK_RATE NUMBER(19,6)
, GMT_CREATE DATE
, GMT_MODIFIED DATE
, CONSTRAINT ABS_LOAN_PACK_REL_PK PRIMARY KEY
  (
    AST_NO
  , PACK_NO
  , STATUS
  )
  ENABLE
);

COMMENT ON COLUMN ABS_LOAN_PACK_REL.AST_NO IS '资产编号';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.PACK_NO IS '资产包编号';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.STATUS IS '状态 归属 in 赎回 back';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.REPAY_FINAL_DATE IS '还款最后归属日';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.BACK_NO IS '赎回编号';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.BACK_COST IS '赎回价格';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.BACK_PRIN IS '赎回本金';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.BACK_RATE IS '赎回定价';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.GMT_CREATE IS '创建时间';
COMMENT ON COLUMN ABS_LOAN_PACK_REL.GMT_MODIFIED IS '更新时间';

CREATE INDEX IDX_LOAN_PACK_REL_PACK ON ABS_LOAN_PACK_REL (PACK_NO);
